GNU bug report logs - #68491
Add python-apscheduler

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: paul <goodoldpaul@HIDDEN>; Done: Sharlatan Hellseher <sharlatanus@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 68491-done <at> debbugs.gnu.org:


Received: (at 68491-done) by debbugs.gnu.org; 18 Feb 2024 12:27:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 18 07:27:49 2024
Received: from localhost ([127.0.0.1]:34233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rbgGq-0002ep-SX
	for submit <at> debbugs.gnu.org; Sun, 18 Feb 2024 07:27:49 -0500
Received: from mail-wm1-f54.google.com ([209.85.128.54]:49163)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sharlatanus@HIDDEN>) id 1rbgGm-0002ea-Ll
 for 68491-done <at> debbugs.gnu.org; Sun, 18 Feb 2024 07:27:47 -0500
Received: by mail-wm1-f54.google.com with SMTP id
 5b1f17b1804b1-41264eca78bso847695e9.2
 for <68491-done <at> debbugs.gnu.org>; Sun, 18 Feb 2024 04:27:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1708259178; x=1708863978; darn=debbugs.gnu.org;
 h=mime-version:message-id:date:subject:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=UlfspuDevrz5w6KorVklouR0g8KyV1Z9oT3WdmmPYAE=;
 b=TK4Z9zAYbMSqwPqd89oxthQOM467LbAkam/ruhE15JbJnqknLurnSDvnHqgxZUy3zn
 nqo74qYZ+YZb5yiWYlNifCPNTTrR8eM1Yvm6oEdvBnz5ucKdRAR+zrAk0qSjaEG4WsQE
 vgWKXqgb4Ngb4260U5i1AWbRJJQOsb1n7iLU9dv3xdt9dFv3kFh6CAuuV2qhlP7kOVUl
 xqH0wupany/XPVIvpBAIW8jiZCajEt8dH1sThp0DwoSU9AgIgYoWA1TCLPexIQcYB/kS
 MXAhrFMMk6M7YYcZ8AKPtz6ssglukEUy9aRSTWdpoitkjmUQlOffiaXn9CjQ1kLkGjuZ
 zTdg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1708259178; x=1708863978;
 h=mime-version:message-id:date:subject:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=UlfspuDevrz5w6KorVklouR0g8KyV1Z9oT3WdmmPYAE=;
 b=G+iz2nX6LfsRdQdH2ywsqeEzC9eg5487RQ6ErGNFOu4X6WpNd1aC0W/yNPmaFBQirU
 CmME+VF1UMkSSC19NjcveqGxMPaw+6WCMBigUH6hJw6X6deyxx3bhIyRUdIpifnWOTvw
 0pHNRwDDYGBYQoiCf4aW4N9iA1t/wT+zGPMhvbpLSbs4a8PDUAJXfhhirK3swJlNeG1J
 Z6BocLDVIrMh2RuYsv1oJVItBDSrUkOAxUk1FrlWImvsJMHjwa+QAIbT9EVWLzO8+5vU
 /WCKoT1gXj9roXC2nlLV4t4+f4X7mJ2H8MwTTCoJbYnJRzy1jNKlac+aHSvb2yaIwkzX
 LZSA==
X-Gm-Message-State: AOJu0YxVfBTWblZuNzt7rh+y7Qbb0JaCG8z7BbnqDIlbt0ETbnuap9b2
 RJ5cCqX3CPmURYHWWnNYqdcmdveLl4qODuNmLJ/1oeEnwpFRr6zkGpdUWXjAntg=
X-Google-Smtp-Source: AGHT+IHLhSQxsu2vf++Kgx2T+f/iDHLZ7nlXlPKScsr4eiyN0TIkCpOLA6K0iDVATFeXCVDO0oh3aw==
X-Received: by 2002:a05:600c:1553:b0:412:a6b:f3a5 with SMTP id
 f19-20020a05600c155300b004120a6bf3a5mr7483836wmg.5.1708259178114; 
 Sun, 18 Feb 2024 04:26:18 -0800 (PST)
Received: from guxtil (cpc100856-bagu15-2-0-cust368.1-3.cable.virginm.net.
 [82.25.93.113]) by smtp.gmail.com with ESMTPSA id
 z11-20020a1c4c0b000000b0040fd3121c4asm7894327wmf.46.2024.02.18.04.26.17
 for <68491-done <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 18 Feb 2024 04:26:17 -0800 (PST)
From: Sharlatan Hellseher <sharlatanus@HIDDEN>
To: 68491-done <at> debbugs.gnu.org
Subject: Add python-apscheduler
Date: Sun, 18 Feb 2024 12:26:14 +0000
Message-ID: <87wmr2klg9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 68491-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.9 (--)

--=-=-=
Content-Type: text/plain


Hi Paul,

I've checked other distributions for the version they used and you are
right 4.0.0a4 was not in used anywhere.

Pushed as c2f5d0f7d8..96895a65b4 to master.

--
Oleg

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEmEeB3micIcJkGAhndtcnv/Ys0rUFAmXR92YACgkQdtcnv/Ys
0rVTDhAAyGUDSKoquP2sE3X90p6MkUdHvwcBBkixxGN6kovm8Fz/yhkj3TLPu1Qr
16Cm9/TN59kEquOUzXf9woyTlxIt1IyIL6MbMSdt8dcZ8H2ObZUR4SXyeasA2BtD
p8eCax07SZUgZn/K8bgiWMevTTPp2J8Pmt4VNev0VO/oJfQXNwxie8GviWNI31yj
ScQ9/dm+OHEmTS11XcPGGPgjiJGIcMYpzFsp8XIalmZRzMbrzelKSkzL8d+L3mjK
wVGebv1pfdzuQO/MucZSKOotLeooWsxPfvv8XhkrJJkH5ePQvARMtf/yLs5+yCM6
UzJLN7KN2Cr7r4ZoLXVXJYjM/W9whfinznK6SPu6snkgLSS2ESKRHtFch39os0IT
h0NnpGhBD7YkgqO6lM9pSoOA0SQnNVXjv6aWIVfjw7uQxxrOw4IBlFvyWgPdxApt
ogmM2UvwqDwFrkme3V8xkDsWrnYMcqRhSVbm1TNTZfTvLgOFWoVPXLunlcTi2Br6
32xY/b0NN/xMxrPvli1PJmGCX2jVNcertwaMC6xyQ90OGstHo2+Inl45apDiKazk
kiRCXw+eHTMZ32k9sFcmmUiFVTab6RT5Gb0kGqPyHzMG0fGuhf35JJGEAlUPaoHL
zYtscBrmLAyeOxy421wZ3ca6kPuFxXSkw342F0IfpKOqEJYxRVE=
=Dj2K
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to paul <goodoldpaul@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Sharlatan Hellseher <sharlatanus@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 68491 <at> debbugs.gnu.org:


Received: (at 68491) by debbugs.gnu.org; 16 Feb 2024 19:19:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 16 14:19:48 2024
Received: from localhost ([127.0.0.1]:60228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rb3kP-0004o4-Vv
	for submit <at> debbugs.gnu.org; Fri, 16 Feb 2024 14:19:47 -0500
Received: from confino.investici.org ([93.190.126.19]:56095)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <goodoldpaul@HIDDEN>) id 1rb3kL-0004no-Fg
 for 68491 <at> debbugs.gnu.org; Fri, 16 Feb 2024 14:19:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=autistici.org;
 s=stigmate; t=1708111160;
 bh=Fn46BLw4Ddnuk4qU4HLu6Rhp3w9V365pV0VK+X2pnOk=;
 h=Date:Subject:To:References:From:In-Reply-To:From;
 b=eoU6mDGFM2yBbdOeGOc/q94rv0NVl5xnDrudGbW0Bc+FlX6p92sGNNdbTMLXrXf0K
 EV0OcbE/o7Sr2wijqskxkSH7Cb+1XaTJ/KL2eLec3PJJPtp90ldHp3W3ZNZkd1E1h/
 fI/5+8EbgorBDCQIU+0a6+M6FLMMr9TIiypuP+tg=
Received: from mx1.investici.org (unknown [127.0.0.1])
 by confino.investici.org (Postfix) with ESMTP id 4Tc1vX0LhKz1151;
 Fri, 16 Feb 2024 19:19:20 +0000 (UTC)
Received: from [93.190.126.19] (mx1.investici.org [93.190.126.19])
 (Authenticated sender: goodoldpaul@HIDDEN) by localhost (Postfix) with
 ESMTPSA id 4Tc1vW6RHNz114m; Fri, 16 Feb 2024 19:19:19 +0000 (UTC)
Content-Type: multipart/mixed; boundary="------------eC0MiuKM84zv0yd9NGXZOrOv"
Message-ID: <e8075e85-bcd0-8806-f579-b943ea993343@HIDDEN>
Date: Fri, 16 Feb 2024 20:19:19 +0100
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.15.0
Subject: Re: Add python-apscheduler
Content-Language: en-US
To: Sharlatan Hellseher <sharlatanus@HIDDEN>, 68491 <at> debbugs.gnu.org
References: <87wmrcr6lj.fsf@HIDDEN>
From: paul <goodoldpaul@HIDDEN>
In-Reply-To: <87wmrcr6lj.fsf@HIDDEN>
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: 68491
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.9 (------)

This is a multi-part message in MIME format.
--------------eC0MiuKM84zv0yd9NGXZOrOv
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit

Hi Oleg,

thank you for your comments.

On 2/10/24 10:50, Sharlatan Hellseher wrote:
> May you check if your patch would be easy to migrate to the new version please?

I tried with the following:

(define-public python-apscheduler
   (package
     (name "python-apscheduler")
     (version "4.0.0a4")
     (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://github.com/agronholm/apscheduler")
              (commit version)))
        (file-name (git-file-name name version))
        (sha256
         (base32 "0rpa584wbnycf0s960kdjsr5glg7vy4p9wd7ya1dhxgy3bq4acab"))))
     (build-system pyproject-build-system)
     (propagated-inputs (list python-anyio
                              python-attrs
                              python-tenacity
                              python-tzlocal
                              python-typing-extensions))
     (native-inputs (list ;; python-mock
                          ;; python-twisted
                          ;; python-gevent
                          python-setuptools-scm
                          ;; python-sqlalchemy
                          python-setuptools
                          python-pyside-6
                          python-pytest
                          ;; python-pytest-asyncio
                          ;; python-pytest-cov
                          ))
     (home-page "https://github.com/agronholm/apscheduler")
     (synopsis "Task scheduling library for Python")
     (description "Advanced Python Scheduler (APScheduler) is a Python 
library
that lets you schedule your Python code to be executed later, either 
just once
or periodically.

You can add new jobs or remove old ones on the fly as you please. If you 
store
your jobs in a database, they will also survive scheduler restarts and 
maintain
their state.  When the scheduler is restarted, it will then run all the 
jobs it
should have run while it was offline.")
     (license license:expat)))

but it gave me the attached log. Then I looked at 
https://repology.org/project/python:apscheduler/versions and it got me 
wondering whether maybe the 4.0.0a4 release is too unstable to be 
packaged yet. I didn't spend a lot of time over this so if you think 
this is a blocking issue I can try further, otherwise I'd like to 
proceed with the patch as it is and I'll take care of removing the 
tornado dependency when we update to 4.0.*

What do you think?

Thank you for your time,

giacomo

--------------eC0MiuKM84zv0yd9NGXZOrOv
Content-Type: text/x-log; charset=UTF-8; name="python-apscheduler-4.0.0a4.log"
Content-Disposition: attachment; filename="python-apscheduler-4.0.0a4.log"
Content-Transfer-Encoding: base64

bWFrZSAgYWxsLXJlY3Vyc2l2ZQptYWtlWzFdOiBFbnRlcmluZyBkaXJlY3RvcnkgJy9ob21l
L3BhdWwvY29kZS9ndWl4L2d1aXgnCk1ha2luZyBhbGwgaW4gcG8vZ3VpeAptYWtlWzJdOiBF
bnRlcmluZyBkaXJlY3RvcnkgJy9ob21lL3BhdWwvY29kZS9ndWl4L2d1aXgvcG8vZ3VpeCcK
bWFrZVsyXTogTm90aGluZyB0byBiZSBkb25lIGZvciAnYWxsJy4KbWFrZVsyXTogTGVhdmlu
ZyBkaXJlY3RvcnkgJy9ob21lL3BhdWwvY29kZS9ndWl4L2d1aXgvcG8vZ3VpeCcKTWFraW5n
IGFsbCBpbiBwby9wYWNrYWdlcwptYWtlWzJdOiBFbnRlcmluZyBkaXJlY3RvcnkgJy9ob21l
L3BhdWwvY29kZS9ndWl4L2d1aXgvcG8vcGFja2FnZXMnCm1ha2VbMl06IE5vdGhpbmcgdG8g
YmUgZG9uZSBmb3IgJ2FsbCcuCm1ha2VbMl06IExlYXZpbmcgZGlyZWN0b3J5ICcvaG9tZS9w
YXVsL2NvZGUvZ3VpeC9ndWl4L3BvL3BhY2thZ2VzJwptYWtlWzJdOiBFbnRlcmluZyBkaXJl
Y3RvcnkgJy9ob21lL3BhdWwvY29kZS9ndWl4L2d1aXgnCkNvbXBpbGluZyBTY2hlbWUgbW9k
dWxlcy4uLgpDb21waWxpbmcgU2NoZW1lIG1vZHVsZXMuLi4KQ29tcGlsaW5nIFNjaGVtZSBt
b2R1bGVzLi4uCkNvbXBpbGluZyBTY2hlbWUgbW9kdWxlcy4uLgpDb21waWxpbmcgU2NoZW1l
IG1vZHVsZXMuLi4KQ29tcGlsaW5nIFNjaGVtZSBtb2R1bGVzLi4uClsgNzclXSBMT0FEICAg
ICBnbnUvcGFja2FnZXMvcHl0aG9uLXh5ei5zY20KOzs7IG5vdGU6IHNvdXJjZSBmaWxlIC4v
Z251L3BhY2thZ2VzL3B5dGhvbi14eXouc2NtCjs7OyAgICAgICBuZXdlciB0aGFuIGNvbXBp
bGVkIC9ob21lL3BhdWwvY29kZS9ndWl4L2d1aXgvZ251L3BhY2thZ2VzL3B5dGhvbi14eXou
Z28KOzs7IG5vdGU6IHNvdXJjZSBmaWxlIC4vZ251L3BhY2thZ2VzL3B5dGhvbi14eXouc2Nt
Cjs7OyAgICAgICBuZXdlciB0aGFuIGNvbXBpbGVkIC9ob21lL3BhdWwvY29kZS9ndWl4L2d1
aXgvZ251L3BhY2thZ2VzL3B5dGhvbi14eXouZ28KWyA3NyVdIEdVSUxFQyAgIGdudS9wYWNr
YWdlcy9weXRob24teHl6LmdvCkNvbXBpbGluZyBTY2hlbWUgbW9kdWxlcy4uLgpDb21waWxp
bmcgU2NoZW1lIG1vZHVsZXMuLi4KbWFrZVsyXTogTGVhdmluZyBkaXJlY3RvcnkgJy9ob21l
L3BhdWwvY29kZS9ndWl4L2d1aXgnCm1ha2VbMV06IExlYXZpbmcgZGlyZWN0b3J5ICcvaG9t
ZS9wYXVsL2NvZGUvZ3VpeC9ndWl4JwptYWtlICBhbGwtcmVjdXJzaXZlCm1ha2VbMV06IEVu
dGVyaW5nIGRpcmVjdG9yeSAnL2hvbWUvcGF1bC9jb2RlL2d1aXgvZ3VpeCcKTWFraW5nIGFs
bCBpbiBwby9ndWl4Cm1ha2VbMl06IEVudGVyaW5nIGRpcmVjdG9yeSAnL2hvbWUvcGF1bC9j
b2RlL2d1aXgvZ3VpeC9wby9ndWl4JwptYWtlWzJdOiBOb3RoaW5nIHRvIGJlIGRvbmUgZm9y
ICdhbGwnLgptYWtlWzJdOiBMZWF2aW5nIGRpcmVjdG9yeSAnL2hvbWUvcGF1bC9jb2RlL2d1
aXgvZ3VpeC9wby9ndWl4JwpNYWtpbmcgYWxsIGluIHBvL3BhY2thZ2VzCm1ha2VbMl06IEVu
dGVyaW5nIGRpcmVjdG9yeSAnL2hvbWUvcGF1bC9jb2RlL2d1aXgvZ3VpeC9wby9wYWNrYWdl
cycKbWFrZVsyXTogTm90aGluZyB0byBiZSBkb25lIGZvciAnYWxsJy4KbWFrZVsyXTogTGVh
dmluZyBkaXJlY3RvcnkgJy9ob21lL3BhdWwvY29kZS9ndWl4L2d1aXgvcG8vcGFja2FnZXMn
Cm1ha2VbMl06IEVudGVyaW5nIGRpcmVjdG9yeSAnL2hvbWUvcGF1bC9jb2RlL2d1aXgvZ3Vp
eCcKQ29tcGlsaW5nIFNjaGVtZSBtb2R1bGVzLi4uCkNvbXBpbGluZyBTY2hlbWUgbW9kdWxl
cy4uLgpDb21waWxpbmcgU2NoZW1lIG1vZHVsZXMuLi4KQ29tcGlsaW5nIFNjaGVtZSBtb2R1
bGVzLi4uCkNvbXBpbGluZyBTY2hlbWUgbW9kdWxlcy4uLgpDb21waWxpbmcgU2NoZW1lIG1v
ZHVsZXMuLi4KQ29tcGlsaW5nIFNjaGVtZSBtb2R1bGVzLi4uCkNvbXBpbGluZyBTY2hlbWUg
bW9kdWxlcy4uLgptYWtlWzJdOiBMZWF2aW5nIGRpcmVjdG9yeSAnL2hvbWUvcGF1bC9jb2Rl
L2d1aXgvZ3VpeCcKbWFrZVsxXTogTGVhdmluZyBkaXJlY3RvcnkgJy9ob21lL3BhdWwvY29k
ZS9ndWl4L2d1aXgnCnN1YnN0aXR1dGU6IHVwZGF0aW5nIHN1YnN0aXR1dGVzIGZyb20gJ2h0
dHBzOi8vY2kuZ3VpeC5nbnUub3JnJy4uLiAxMDAuMCUKc3Vic3RpdHV0ZTogdXBkYXRpbmcg
c3Vic3RpdHV0ZXMgZnJvbSAnaHR0cHM6Ly9ib3JkZWF1eC5ndWl4LmdudS5vcmcnLi4uIDEw
MC4wJQpzdWJzdGl0dXRlOiB1cGRhdGluZyBzdWJzdGl0dXRlcyBmcm9tICdodHRwczovL3N1
YnN0aXR1dGVzLm5vbmd1aXgub3JnJy4uLiAxMDAuMCUKc3Vic3RpdHV0ZTogdXBkYXRpbmcg
c3Vic3RpdHV0ZXMgZnJvbSAnaHR0cHM6Ly9ndWl4LmJvcmRlYXV4LmlucmlhLmZyJy4uLiAx
MDAuMCUKVGhlIGZvbGxvd2luZyBkZXJpdmF0aW9ucyB3aWxsIGJlIGJ1aWx0OgogIC9nbnUv
c3RvcmUvdmpsMTExZjA4cGN5N3F4YmIyemtrNmxkYjljNmxtZjktcHl0aG9uLWFwc2NoZWR1
bGVyLTQuMC4wYTQuZHJ2CiAgL2dudS9zdG9yZS9iNjlzc3JmN3cwa2I2N3lkZGdtMHpqYno5
NHBxM3J3ai1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC5kcnYKNi44IE1C
IHdpbGwgYmUgZG93bmxvYWRlZDoKICAvZ251L3N0b3JlL2JiNmk3NXI3ems5amJ5eDRwMDhx
OHoyNGgzcTNiNDdyLXB5dGhvbi1weXNpZGUtNi02LjUuMgpidWlsZGluZyAvZ251L3N0b3Jl
L2I2OXNzcmY3dzBrYjY3eWRkZ20wempiejk0cHEzcndqLXB5dGhvbi1hcHNjaGVkdWxlci00
LjAuMGE0LWNoZWNrb3V0LmRydi4uLgpJbml0aWFsaXplZCBlbXB0eSBHaXQgcmVwb3NpdG9y
eSBpbiAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhv
bi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0Ly5naXQvCkZyb20gaHR0cHM6Ly9naXRo
dWIuY29tL2Fncm9uaG9sbS9hcHNjaGVkdWxlcgogKiB0YWcgICAgICAgICAgICAgICA0LjAu
MGE0ICAgIC0+IEZFVENIX0hFQUQKTm90ZTogc3dpdGNoaW5nIHRvICdGRVRDSF9IRUFEJy4K
CllvdSBhcmUgaW4gJ2RldGFjaGVkIEhFQUQnIHN0YXRlLiBZb3UgY2FuIGxvb2sgYXJvdW5k
LCBtYWtlIGV4cGVyaW1lbnRhbApjaGFuZ2VzIGFuZCBjb21taXQgdGhlbSwgYW5kIHlvdSBj
YW4gZGlzY2FyZCBhbnkgY29tbWl0cyB5b3UgbWFrZSBpbiB0aGlzCnN0YXRlIHdpdGhvdXQg
aW1wYWN0aW5nIGFueSBicmFuY2hlcyBieSBzd2l0Y2hpbmcgYmFjayB0byBhIGJyYW5jaC4K
CklmIHlvdSB3YW50IHRvIGNyZWF0ZSBhIG5ldyBicmFuY2ggdG8gcmV0YWluIGNvbW1pdHMg
eW91IGNyZWF0ZSwgeW91IG1heQpkbyBzbyAobm93IG9yIGxhdGVyKSBieSB1c2luZyAtYyB3
aXRoIHRoZSBzd2l0Y2ggY29tbWFuZC4gRXhhbXBsZToKCiAgZ2l0IHN3aXRjaCAtYyA8bmV3
LWJyYW5jaC1uYW1lPgoKT3IgdW5kbyB0aGlzIG9wZXJhdGlvbiB3aXRoOgoKICBnaXQgc3dp
dGNoIC0KClR1cm4gb2ZmIHRoaXMgYWR2aWNlIGJ5IHNldHRpbmcgY29uZmlnIHZhcmlhYmxl
IGFkdmljZS5kZXRhY2hlZEhlYWQgdG8gZmFsc2UKCkhFQUQgaXMgbm93IGF0IDhlMGQwOGUg
Rml4ZWQgdGhlIHZlcnNpb24gaW4gdGhlIGNoYW5nZWxvZwpzdWNjZXNzZnVsbHkgYnVpbHQg
L2dudS9zdG9yZS9iNjlzc3JmN3cwa2I2N3lkZGdtMHpqYno5NHBxM3J3ai1weXRob24tYXBz
Y2hlZHVsZXItNC4wLjBhNC1jaGVja291dC5kcnYKc3Vic3RpdHV0aW5nIC9nbnUvc3RvcmUv
YmI2aTc1cjd6azlqYnl4NHAwOHE4ejI0aDNxM2I0N3ItcHl0aG9uLXB5c2lkZS02LTYuNS4y
Li4uCmRvd25sb2FkaW5nIGZyb20gaHR0cHM6Ly9jaS5ndWl4LmdudS5vcmcvbmFyL2x6aXAv
YmI2aTc1cjd6azlqYnl4NHAwOHE4ejI0aDNxM2I0N3ItcHl0aG9uLXB5c2lkZS02LTYuNS4y
IC4uLgogcHl0aG9uLXB5c2lkZS02LTYuNS4yICA2LjVNaUIgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICAgNS42TWlCL3MgMDA6MDEgWyMjIyMjIyMjIyMjIyMjIyMjI10gMTAw
LjAlCgpidWlsZGluZyAvZ251L3N0b3JlL3ZqbDExMWYwOHBjeTdxeGJiMnprazZsZGI5YzZs
bWY5LXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LmRydi4uLgpzdGFydGluZyBwaGFzZSBg
c2V0LVNPVVJDRS1EQVRFLUVQT0NIJwpwaGFzZSBgc2V0LVNPVVJDRS1EQVRFLUVQT0NIJyBz
dWNjZWVkZWQgYWZ0ZXIgMC4wIHNlY29uZHMKc3RhcnRpbmcgcGhhc2UgYHNldC1wYXRocycK
ZW52aXJvbm1lbnQgdmFyaWFibGUgYFBBVEgnIHNldCB0byBgL2dudS9zdG9yZS9iaGltc3Az
ZjlsYmZtYmI0Mjk3ZHkxbmcwczE2ZzNtYi1weXRob24tdG9vbGNoYWluLTMuMTAuNy9iaW46
L2dudS9zdG9yZS9xeng5bjc0NTJjdzB3MTFjOTZndmlqZG5tazZ2ODJtMi1weXRob24tcHl0
ZXN0LTcuMS4zL2JpbjovZ251L3N0b3JlLzJxbGQ5eG5uaTJnMjlxMGs4OW5odjRyMWlqNHlk
ZDF5LXB5dGhvbi10ZW5hY2l0eS04LjAuMS9iaW46L2dudS9zdG9yZS9zMXBtNTFtemFjc3pk
MW54aXJobHNwcGxnNXl4amNtYS1weXRob24tdHpsb2NhbC01LjIvYmluOi9nbnUvc3RvcmUv
ODd6djl4YWNsc2JuNWphaWlrZGhtdnc4aTF5MDd5MngtcHl0aG9uLXR5cGluZy1leHRlbnNp
b25zLTQuNS4wL2JpbjovZ251L3N0b3JlL3N4eDIyZjk4dmZiYXZjcW1ka3NtNmFzOGZ2c2tw
eGl3LXRhci0xLjM0L2JpbjovZ251L3N0b3JlL3gyNGJtNDlhZzVkdmtpNzJtamR6MTk1YmZi
ODlucm5iLWd6aXAtMS4xMi9iaW46L2dudS9zdG9yZS9qOHdsZm1sbWZ2cGJ6YTZpczl3djl4
c2Q4cHNyeG4wMC1iemlwMi0xLjAuOC9iaW46L2dudS9zdG9yZS9ncjBzeTBtMW12MzZxdjU0
aWRtNmNuMTBsM21uZ3NocS1maWxlLTUuNDQvYmluOi9nbnUvc3RvcmUvem1jZjVrcHFpaWdo
a2JoN3dzbGY5MXFkandqMDZ5cjEtZGlmZnV0aWxzLTMuOC9iaW46L2dudS9zdG9yZS8yMTB5
ZmF4MThyMmcyaW54cm1sOTQzNWlraGZjY2E2bS1wYXRjaC0yLjcuNi9iaW46L2dudS9zdG9y
ZS9jOGp5cGgybHh3MG05bmEzNGZnOGg3MG40bm5uejdpcy1maW5kdXRpbHMtNC45LjAvYmlu
Oi9nbnUvc3RvcmUvaGMwNWQ3NmYxajNpejN2MmJzNWp6NGZwbGpsMXI0ZGotZ2F3ay01LjIu
MS9iaW46L2dudS9zdG9yZS94eGNmc2ltdnh6N3o0ZGo1OTNnbnFia3pjNnBpY3d6cS1zZWQt
NC44L2JpbjovZ251L3N0b3JlL3lydjVmNzBtbjgzYTg3NmI3OGk1czc5ZGQyaHNoMHpmLWdy
ZXAtMy44L2JpbjovZ251L3N0b3JlLzZrMXl5czl3cXJmbjR5NDFpYzF3aW44Z3BuaW1uY3dq
LXh6LTUuMi44L2JpbjovZ251L3N0b3JlL2E1aThhdng4MjZicnc1Z3JuM240cXY0MGc1MTQ1
MDVjLWNvcmV1dGlscy05LjEvYmluOi9nbnUvc3RvcmUvd2o3Y2FzZGE3cmI1NXJ2cWpucG0w
Ym03YTJ6bTY2MTgtbWFrZS00LjMvYmluOi9nbnUvc3RvcmUvcmliOWcyaWcxeGYza2NseWww
NzZ3MjhwYXJtbmNnNGstYmFzaC1taW5pbWFsLTUuMS4xNi9iaW46L2dudS9zdG9yZS9uYTFk
cGJiY3hqYWEzbjh3a3dyZnBjaDQ3NmY5MGhsZi1sZC13cmFwcGVyLTAvYmluOi9nbnUvc3Rv
cmUvemg0eDY1c25maXM3c3ZzNjkwNmdqMXo4aTdkeDJqM20tYmludXRpbHMtMi4zOC9iaW46
L2dudS9zdG9yZS81bHFoY3Y5MWlqeTgycDkyYWM2ZzV4dzQ4bDBsd3d6NC1nY2MtMTEuMy4w
L2JpbjovZ251L3N0b3JlL2dzamN6cWlyMXdiejhwNzcwem5kcnB3NHJucHBteGkzLWdsaWJj
LTIuMzUvYmluOi9nbnUvc3RvcmUvZ3NqY3pxaXIxd2J6OHA3NzB6bmRycHc0cm5wcG14aTMt
Z2xpYmMtMi4zNS9zYmluOi9nbnUvc3RvcmUvZjk0eHkyazdpbWw2dzFocmFuZG0zZjh2anln
aGNyeWItcHl0aG9uLXdoZWVsLTAuNDAuMC9iaW46L2dudS9zdG9yZS94c21tZ3p2eXlxd2h4
cWs0bDYyOTN3bm41bXlzajY2MC1weXRob24tcHlwYS1idWlsZC0wLjcuMC9iaW46L2dudS9z
dG9yZS9kZ3JxbjVmeDZpczA3am00eGx4NGR4YnZhcTE5eTc5Yy1weXRob24tcGlwLTIzLjEv
YmluOi9nbnUvc3RvcmUvNG5jcGkxM2xwd2o4ZmszajdhZGducjVtaTkwZHozMTEtcHl0aG9u
LTMuMTAuNy9iaW46L2dudS9zdG9yZS9zbGkybWxxc2Fhd3I2dmJ2dmN2YmlhOHg1eTZqaDZ3
ci1weXRob24tdG9tbGktMi4wLjEvYmluOi9nbnUvc3RvcmUvNzh3ZHFpazhnMmFtenBzam52
MmZhbmF2OXg5eGd3bDYtcHl0aG9uLXNoaWJva2VuLTYtNi41LjIvYmluOi9nbnUvc3RvcmUv
aWxsa2E4bm5iejEzYmlicGlneHdpZDA2cWF4azd6NnAtcHl0aG9uLXR6ZGF0YS0yMDIyLjEv
YmluJwplbnZpcm9ubWVudCB2YXJpYWJsZSBgR1VJWF9QWVRIT05QQVRIJyBzZXQgdG8gYC9n
bnUvc3RvcmUvaGdjcm04czJwa3N2czByYWRkbjI2M3BzZHExejgyY2ItcHl0aG9uLXNldHVw
dG9vbHMtc2NtLTcuMS4wL2xpYi9weXRob24zLjEwL3NpdGUtcGFja2FnZXM6L2dudS9zdG9y
ZS84YjV2cWJiMTE2eXkzcWpkYzlzZnZkMXliNmtsY2xnai1weXRob24tc2V0dXB0b29scy02
Ny42LjEvbGliL3B5dGhvbjMuMTAvc2l0ZS1wYWNrYWdlczovZ251L3N0b3JlL2JiNmk3NXI3
ems5amJ5eDRwMDhxOHoyNGgzcTNiNDdyLXB5dGhvbi1weXNpZGUtNi02LjUuMi9saWIvcHl0
aG9uMy4xMC9zaXRlLXBhY2thZ2VzOi9nbnUvc3RvcmUvcXp4OW43NDUyY3cwdzExYzk2Z3Zp
amRubWs2djgybTItcHl0aG9uLXB5dGVzdC03LjEuMy9saWIvcHl0aG9uMy4xMC9zaXRlLXBh
Y2thZ2VzOi9nbnUvc3RvcmUvaTJoZGZhYTdpOGp6eHJmYjMybGczY2MyZGI3bm5kamMtcHl0
aG9uLWFueWlvLTMuNi4yL2xpYi9weXRob24zLjEwL3NpdGUtcGFja2FnZXM6L2dudS9zdG9y
ZS92cjkwd2wzNnJ6N2E2c2RjamY1bWg0MGptbTg0MHk0ai1weXRob24tYXR0cnMtMjEuMi4w
L2xpYi9weXRob24zLjEwL3NpdGUtcGFja2FnZXM6L2dudS9zdG9yZS8ycWxkOXhubmkyZzI5
cTBrODluaHY0cjFpajR5ZGQxeS1weXRob24tdGVuYWNpdHktOC4wLjEvbGliL3B5dGhvbjMu
MTAvc2l0ZS1wYWNrYWdlczovZ251L3N0b3JlL3MxcG01MW16YWNzemQxbnhpcmhsc3BwbGc1
eXhqY21hLXB5dGhvbi10emxvY2FsLTUuMi9saWIvcHl0aG9uMy4xMC9zaXRlLXBhY2thZ2Vz
Oi9nbnUvc3RvcmUvODd6djl4YWNsc2JuNWphaWlrZGhtdnc4aTF5MDd5MngtcHl0aG9uLXR5
cGluZy1leHRlbnNpb25zLTQuNS4wL2xpYi9weXRob24zLjEwL3NpdGUtcGFja2FnZXM6L2du
dS9zdG9yZS9mOTR4eTJrN2ltbDZ3MWhyYW5kbTNmOHZqeWdoY3J5Yi1weXRob24td2hlZWwt
MC40MC4wL2xpYi9weXRob24zLjEwL3NpdGUtcGFja2FnZXM6L2dudS9zdG9yZS94c21tZ3p2
eXlxd2h4cWs0bDYyOTN3bm41bXlzajY2MC1weXRob24tcHlwYS1idWlsZC0wLjcuMC9saWIv
cHl0aG9uMy4xMC9zaXRlLXBhY2thZ2VzOi9nbnUvc3RvcmUvZGdycW41Zng2aXMwN2ptNHhs
eDRkeGJ2YXExOXk3OWMtcHl0aG9uLXBpcC0yMy4xL2xpYi9weXRob24zLjEwL3NpdGUtcGFj
a2FnZXM6L2dudS9zdG9yZS80bmNwaTEzbHB3ajhmazNqN2FkZ25yNW1pOTBkejMxMS1weXRo
b24tMy4xMC43L2xpYi9weXRob24zLjEwL3NpdGUtcGFja2FnZXM6L2dudS9zdG9yZS9zbGky
bWxxc2Fhd3I2dmJ2dmN2YmlhOHg1eTZqaDZ3ci1weXRob24tdG9tbGktMi4wLjEvbGliL3B5
dGhvbjMuMTAvc2l0ZS1wYWNrYWdlczovZ251L3N0b3JlL3NwYThhdzZydmpyMnltM3AxZ3h6
MnNnejg0MGpnYTM0LXB5dGhvbi1wYWNrYWdpbmctYm9vdHN0cmFwLTIxLjMvbGliL3B5dGhv
bjMuMTAvc2l0ZS1wYWNrYWdlczovZ251L3N0b3JlLzc4d2RxaWs4ZzJhbXpwc2pudjJmYW5h
djl4OXhnd2w2LXB5dGhvbi1zaGlib2tlbi02LTYuNS4yL2xpYi9weXRob24zLjEwL3NpdGUt
cGFja2FnZXM6L2dudS9zdG9yZS9kemNmeXNrYmp6MGlnamdzcTZyZmpqMnowY2tocWoxcC1w
eXRob24tcHktMS4xMS4wL2xpYi9weXRob24zLjEwL3NpdGUtcGFja2FnZXM6L2dudS9zdG9y
ZS93NGtsNGF2azJqYzA2aGp5M3FnMTFzbWZ4Z3k5MXBucC1weXRob24tcGx1Z2d5LTEuMC4w
L2xpYi9weXRob24zLjEwL3NpdGUtcGFja2FnZXM6L2dudS9zdG9yZS92c3lpZjlpcWgzcG4z
Mnp5cWhqOWFpNDF6aW1qc3ZuZy1weXRob24taW5pY29uZmlnLTEuMS4xL2xpYi9weXRob24z
LjEwL3NpdGUtcGFja2FnZXM6L2dudS9zdG9yZS9sZDYwNm4xM3o5dzI2NHgxYzhnaGE3Mnlm
ZzltNDkzay1weXRob24tYXR0cnMtYm9vdHN0cmFwLTIxLjIuMC9saWIvcHl0aG9uMy4xMC9z
aXRlLXBhY2thZ2VzOi9nbnUvc3RvcmUvYm00YmlhaDJmcndzYzJsand6Y3phMnc3MzY4aHlp
Y2ktcHl0aG9uLXNuaWZmaW8tMS4yLjAvbGliL3B5dGhvbjMuMTAvc2l0ZS1wYWNrYWdlczov
Z251L3N0b3JlL2p2MGsyZ2MwaWd6MDVtaWR3YXBnaGcwaDBqYm0ydmxqLXB5dGhvbi1pZG5h
LTMuMy9saWIvcHl0aG9uMy4xMC9zaXRlLXBhY2thZ2VzOi9nbnUvc3RvcmUvbXptbHdsYm0w
MDJkYzcwcncwZnN4aTBnYXN6ejJsaDUtcHl0aG9uLWRhdGFjbGFzc2VzLTAuOC9saWIvcHl0
aG9uMy4xMC9zaXRlLXBhY2thZ2VzOi9nbnUvc3RvcmUvZ3l2aGo0NTRjZ3JpcHZoemtqMjJh
M3piNHJqNWhmZzAtcHl0aG9uLWNvbnRleHR2YXJzLTIuNC9saWIvcHl0aG9uMy4xMC9zaXRl
LXBhY2thZ2VzOi9nbnUvc3RvcmUvaWxsa2E4bm5iejEzYmlicGlneHdpZDA2cWF4azd6NnAt
cHl0aG9uLXR6ZGF0YS0yMDIyLjEvbGliL3B5dGhvbjMuMTAvc2l0ZS1wYWNrYWdlczovZ251
L3N0b3JlL3czOWlkNWxsaXkyOWwza2phM3lmM2hkY3pxN25iOGZwLXB5dGhvbi10b21sLTAu
MTAuMi9saWIvcHl0aG9uMy4xMC9zaXRlLXBhY2thZ2VzOi9nbnUvc3RvcmUvbHdpMDNkYWlk
bWo1eDJiaDJiaGQwczRzbmxsejZtMTktcHl0aG9uLXBlcDUxNy1ib290c3RyYXAtMC45LjEv
bGliL3B5dGhvbjMuMTAvc2l0ZS1wYWNrYWdlczovZ251L3N0b3JlLzRtdm1ubnMxYm5sOXdk
ejdsODBqZHBoY3FiaTU2aWNhLXB5dGhvbi1zaXgtYm9vdHN0cmFwLTEuMTYuMC9saWIvcHl0
aG9uMy4xMC9zaXRlLXBhY2thZ2VzOi9nbnUvc3RvcmUvcmlpMTQ4ajhwZDNrMWp2MHpubGhw
aWhuYWtxY2FydzMtcHl0aG9uLXB5cGFyc2luZy0zLjAuNi9saWIvcHl0aG9uMy4xMC9zaXRl
LXBhY2thZ2VzOi9nbnUvc3RvcmUvMWtpM3doZzBrMHZkdjd3M2NrNXkwbmNmYm1mYmE5MHct
cHl0aG9uLWltbXV0YWJsZXMtMC4xOC9saWIvcHl0aG9uMy4xMC9zaXRlLXBhY2thZ2VzJwpl
bnZpcm9ubWVudCB2YXJpYWJsZSBgUFlUSE9OVFpQQVRIJyB1bnNldAplbnZpcm9ubWVudCB2
YXJpYWJsZSBgQkFTSF9MT0FEQUJMRVNfUEFUSCcgdW5zZXQKZW52aXJvbm1lbnQgdmFyaWFi
bGUgYENfSU5DTFVERV9QQVRIJyBzZXQgdG8gYC9nbnUvc3RvcmUvYmI2aTc1cjd6azlqYnl4
NHAwOHE4ejI0aDNxM2I0N3ItcHl0aG9uLXB5c2lkZS02LTYuNS4yL2luY2x1ZGU6L2dudS9z
dG9yZS9qOHdsZm1sbWZ2cGJ6YTZpczl3djl4c2Q4cHNyeG4wMC1iemlwMi0xLjAuOC9pbmNs
dWRlOi9nbnUvc3RvcmUvZ3Iwc3kwbTFtdjM2cXY1NGlkbTZjbjEwbDNtbmdzaHEtZmlsZS01
LjQ0L2luY2x1ZGU6L2dudS9zdG9yZS9oYzA1ZDc2ZjFqM2l6M3YyYnM1ano0ZnBsamwxcjRk
ai1nYXdrLTUuMi4xL2luY2x1ZGU6L2dudS9zdG9yZS82azF5eXM5d3FyZm40eTQxaWMxd2lu
OGdwbmltbmN3ai14ei01LjIuOC9pbmNsdWRlOi9nbnUvc3RvcmUvd2o3Y2FzZGE3cmI1NXJ2
cWpucG0wYm03YTJ6bTY2MTgtbWFrZS00LjMvaW5jbHVkZTovZ251L3N0b3JlL3poNHg2NXNu
ZmlzN3N2czY5MDZnajF6OGk3ZHgyajNtLWJpbnV0aWxzLTIuMzgvaW5jbHVkZTovZ251L3N0
b3JlLzVscWhjdjkxaWp5ODJwOTJhYzZnNXh3NDhsMGx3d3o0LWdjYy0xMS4zLjAvaW5jbHVk
ZTovZ251L3N0b3JlL2dzamN6cWlyMXdiejhwNzcwem5kcnB3NHJucHBteGkzLWdsaWJjLTIu
MzUvaW5jbHVkZTovZ251L3N0b3JlLzRuY3BpMTNscHdqOGZrM2o3YWRnbnI1bWk5MGR6MzEx
LXB5dGhvbi0zLjEwLjcvaW5jbHVkZTovZ251L3N0b3JlLzc4d2RxaWs4ZzJhbXpwc2pudjJm
YW5hdjl4OXhnd2w2LXB5dGhvbi1zaGlib2tlbi02LTYuNS4yL2luY2x1ZGU6L2dudS9zdG9y
ZS81aWtsY3BzNzBjMHNma3h2bHJoZzhqaGYzcTRoMThiai1saW51eC1saWJyZS1oZWFkZXJz
LTUuMTUuNDkvaW5jbHVkZScKZW52aXJvbm1lbnQgdmFyaWFibGUgYENQTFVTX0lOQ0xVREVf
UEFUSCcgc2V0IHRvIGAvZ251L3N0b3JlL2JiNmk3NXI3ems5amJ5eDRwMDhxOHoyNGgzcTNi
NDdyLXB5dGhvbi1weXNpZGUtNi02LjUuMi9pbmNsdWRlOi9nbnUvc3RvcmUvajh3bGZtbG1m
dnBiemE2aXM5d3Y5eHNkOHBzcnhuMDAtYnppcDItMS4wLjgvaW5jbHVkZTovZ251L3N0b3Jl
L2dyMHN5MG0xbXYzNnF2NTRpZG02Y24xMGwzbW5nc2hxLWZpbGUtNS40NC9pbmNsdWRlOi9n
bnUvc3RvcmUvaGMwNWQ3NmYxajNpejN2MmJzNWp6NGZwbGpsMXI0ZGotZ2F3ay01LjIuMS9p
bmNsdWRlOi9nbnUvc3RvcmUvNmsxeXlzOXdxcmZuNHk0MWljMXdpbjhncG5pbW5jd2oteHot
NS4yLjgvaW5jbHVkZTovZ251L3N0b3JlL3dqN2Nhc2RhN3JiNTVydnFqbnBtMGJtN2Eyem02
NjE4LW1ha2UtNC4zL2luY2x1ZGU6L2dudS9zdG9yZS96aDR4NjVzbmZpczdzdnM2OTA2Z2ox
ejhpN2R4MmozbS1iaW51dGlscy0yLjM4L2luY2x1ZGU6L2dudS9zdG9yZS81bHFoY3Y5MWlq
eTgycDkyYWM2ZzV4dzQ4bDBsd3d6NC1nY2MtMTEuMy4wL2luY2x1ZGUvYysrOi9nbnUvc3Rv
cmUvNWxxaGN2OTFpank4MnA5MmFjNmc1eHc0OGwwbHd3ejQtZ2NjLTExLjMuMC9pbmNsdWRl
Oi9nbnUvc3RvcmUvZ3NqY3pxaXIxd2J6OHA3NzB6bmRycHc0cm5wcG14aTMtZ2xpYmMtMi4z
NS9pbmNsdWRlOi9nbnUvc3RvcmUvNG5jcGkxM2xwd2o4ZmszajdhZGducjVtaTkwZHozMTEt
cHl0aG9uLTMuMTAuNy9pbmNsdWRlOi9nbnUvc3RvcmUvNzh3ZHFpazhnMmFtenBzam52MmZh
bmF2OXg5eGd3bDYtcHl0aG9uLXNoaWJva2VuLTYtNi41LjIvaW5jbHVkZTovZ251L3N0b3Jl
LzVpa2xjcHM3MGMwc2ZreHZscmhnOGpoZjNxNGgxOGJqLWxpbnV4LWxpYnJlLWhlYWRlcnMt
NS4xNS40OS9pbmNsdWRlJwplbnZpcm9ubWVudCB2YXJpYWJsZSBgTElCUkFSWV9QQVRIJyBz
ZXQgdG8gYC9nbnUvc3RvcmUvaGdjcm04czJwa3N2czByYWRkbjI2M3BzZHExejgyY2ItcHl0
aG9uLXNldHVwdG9vbHMtc2NtLTcuMS4wL2xpYjovZ251L3N0b3JlLzhiNXZxYmIxMTZ5eTNx
amRjOXNmdmQxeWI2a2xjbGdqLXB5dGhvbi1zZXR1cHRvb2xzLTY3LjYuMS9saWI6L2dudS9z
dG9yZS9iYjZpNzVyN3prOWpieXg0cDA4cTh6MjRoM3EzYjQ3ci1weXRob24tcHlzaWRlLTYt
Ni41LjIvbGliOi9nbnUvc3RvcmUvcXp4OW43NDUyY3cwdzExYzk2Z3ZpamRubWs2djgybTIt
cHl0aG9uLXB5dGVzdC03LjEuMy9saWI6L2dudS9zdG9yZS9pMmhkZmFhN2k4anp4cmZiMzJs
ZzNjYzJkYjdubmRqYy1weXRob24tYW55aW8tMy42LjIvbGliOi9nbnUvc3RvcmUvdnI5MHds
MzZyejdhNnNkY2pmNW1oNDBqbW04NDB5NGotcHl0aG9uLWF0dHJzLTIxLjIuMC9saWI6L2du
dS9zdG9yZS8ycWxkOXhubmkyZzI5cTBrODluaHY0cjFpajR5ZGQxeS1weXRob24tdGVuYWNp
dHktOC4wLjEvbGliOi9nbnUvc3RvcmUvczFwbTUxbXphY3N6ZDFueGlyaGxzcHBsZzV5eGpj
bWEtcHl0aG9uLXR6bG9jYWwtNS4yL2xpYjovZ251L3N0b3JlLzg3enY5eGFjbHNibjVqYWlp
a2RobXZ3OGkxeTA3eTJ4LXB5dGhvbi10eXBpbmctZXh0ZW5zaW9ucy00LjUuMC9saWI6L2du
dS9zdG9yZS9qOHdsZm1sbWZ2cGJ6YTZpczl3djl4c2Q4cHNyeG4wMC1iemlwMi0xLjAuOC9s
aWI6L2dudS9zdG9yZS9ncjBzeTBtMW12MzZxdjU0aWRtNmNuMTBsM21uZ3NocS1maWxlLTUu
NDQvbGliOi9nbnUvc3RvcmUvaGMwNWQ3NmYxajNpejN2MmJzNWp6NGZwbGpsMXI0ZGotZ2F3
ay01LjIuMS9saWI6L2dudS9zdG9yZS82azF5eXM5d3FyZm40eTQxaWMxd2luOGdwbmltbmN3
ai14ei01LjIuOC9saWI6L2dudS9zdG9yZS96aDR4NjVzbmZpczdzdnM2OTA2Z2oxejhpN2R4
MmozbS1iaW51dGlscy0yLjM4L2xpYjovZ251L3N0b3JlL2dzamN6cWlyMXdiejhwNzcwem5k
cnB3NHJucHBteGkzLWdsaWJjLTIuMzUvbGliOi9nbnUvc3RvcmUvbDB5cnlpNWpzYTFncm52
dzAxYzlua3o5YzgxY3YyMjQtZ2xpYmMtMi4zNS1zdGF0aWMvbGliOi9nbnUvc3RvcmUvdmlz
ZmRkYTkzNGd2aXZ3aWh3aGxtNjNmZHFoaGNjOGEtZ2xpYmMtdXRmOC1sb2NhbGVzLTIuMzUv
bGliOi9nbnUvc3RvcmUvZjk0eHkyazdpbWw2dzFocmFuZG0zZjh2anlnaGNyeWItcHl0aG9u
LXdoZWVsLTAuNDAuMC9saWI6L2dudS9zdG9yZS94c21tZ3p2eXlxd2h4cWs0bDYyOTN3bm41
bXlzajY2MC1weXRob24tcHlwYS1idWlsZC0wLjcuMC9saWI6L2dudS9zdG9yZS9kZ3JxbjVm
eDZpczA3am00eGx4NGR4YnZhcTE5eTc5Yy1weXRob24tcGlwLTIzLjEvbGliOi9nbnUvc3Rv
cmUvNG5jcGkxM2xwd2o4ZmszajdhZGducjVtaTkwZHozMTEtcHl0aG9uLTMuMTAuNy9saWI6
L2dudS9zdG9yZS9zbGkybWxxc2Fhd3I2dmJ2dmN2YmlhOHg1eTZqaDZ3ci1weXRob24tdG9t
bGktMi4wLjEvbGliOi9nbnUvc3RvcmUvc3BhOGF3NnJ2anIyeW0zcDFneHoyc2d6ODQwamdh
MzQtcHl0aG9uLXBhY2thZ2luZy1ib290c3RyYXAtMjEuMy9saWI6L2dudS9zdG9yZS83OHdk
cWlrOGcyYW16cHNqbnYyZmFuYXY5eDl4Z3dsNi1weXRob24tc2hpYm9rZW4tNi02LjUuMi9s
aWI6L2dudS9zdG9yZS9kemNmeXNrYmp6MGlnamdzcTZyZmpqMnowY2tocWoxcC1weXRob24t
cHktMS4xMS4wL2xpYjovZ251L3N0b3JlL3c0a2w0YXZrMmpjMDZoankzcWcxMXNtZnhneTkx
cG5wLXB5dGhvbi1wbHVnZ3ktMS4wLjAvbGliOi9nbnUvc3RvcmUvdnN5aWY5aXFoM3BuMzJ6
eXFoajlhaTQxemltanN2bmctcHl0aG9uLWluaWNvbmZpZy0xLjEuMS9saWI6L2dudS9zdG9y
ZS9sZDYwNm4xM3o5dzI2NHgxYzhnaGE3MnlmZzltNDkzay1weXRob24tYXR0cnMtYm9vdHN0
cmFwLTIxLjIuMC9saWI6L2dudS9zdG9yZS9ibTRiaWFoMmZyd3NjMmxqd3pjemEydzczNjho
eWljaS1weXRob24tc25pZmZpby0xLjIuMC9saWI6L2dudS9zdG9yZS9qdjBrMmdjMGlnejA1
bWlkd2FwZ2hnMGgwamJtMnZsai1weXRob24taWRuYS0zLjMvbGliOi9nbnUvc3RvcmUvbXpt
bHdsYm0wMDJkYzcwcncwZnN4aTBnYXN6ejJsaDUtcHl0aG9uLWRhdGFjbGFzc2VzLTAuOC9s
aWI6L2dudS9zdG9yZS9neXZoajQ1NGNncmlwdmh6a2oyMmEzemI0cmo1aGZnMC1weXRob24t
Y29udGV4dHZhcnMtMi40L2xpYjovZ251L3N0b3JlL2lsbGthOG5uYnoxM2JpYnBpZ3h3aWQw
NnFheGs3ejZwLXB5dGhvbi10emRhdGEtMjAyMi4xL2xpYjovZ251L3N0b3JlL3czOWlkNWxs
aXkyOWwza2phM3lmM2hkY3pxN25iOGZwLXB5dGhvbi10b21sLTAuMTAuMi9saWI6L2dudS9z
dG9yZS9sd2kwM2RhaWRtajV4MmJoMmJoZDBzNHNubGx6Nm0xOS1weXRob24tcGVwNTE3LWJv
b3RzdHJhcC0wLjkuMS9saWI6L2dudS9zdG9yZS80bXZtbm5zMWJubDl3ZHo3bDgwamRwaGNx
Ymk1NmljYS1weXRob24tc2l4LWJvb3RzdHJhcC0xLjE2LjAvbGliOi9nbnUvc3RvcmUvcmlp
MTQ4ajhwZDNrMWp2MHpubGhwaWhuYWtxY2FydzMtcHl0aG9uLXB5cGFyc2luZy0zLjAuNi9s
aWI6L2dudS9zdG9yZS8xa2kzd2hnMGswdmR2N3czY2s1eTBuY2ZibWZiYTkwdy1weXRob24t
aW1tdXRhYmxlcy0wLjE4L2xpYicKZW52aXJvbm1lbnQgdmFyaWFibGUgYEdVSVhfTE9DUEFU
SCcgc2V0IHRvIGAvZ251L3N0b3JlL3Zpc2ZkZGE5MzRndml2d2lod2hsbTYzZmRxaGhjYzhh
LWdsaWJjLXV0ZjgtbG9jYWxlcy0yLjM1L2xpYi9sb2NhbGUnCnBoYXNlIGBzZXQtcGF0aHMn
IHN1Y2NlZWRlZCBhZnRlciAwLjEgc2Vjb25kcwpzdGFydGluZyBwaGFzZSBgaW5zdGFsbC1s
b2NhbGUnCnVzaW5nICdlbl9VUy51dGY4JyBsb2NhbGUgZm9yIGNhdGVnb3J5ICJMQ19BTEwi
CnBoYXNlIGBpbnN0YWxsLWxvY2FsZScgc3VjY2VlZGVkIGFmdGVyIDAuMCBzZWNvbmRzCnN0
YXJ0aW5nIHBoYXNlIGB1bnBhY2snCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5
NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0Ly5naXRp
Z25vcmUnIC0+IGAuLy5naXRpZ25vcmUnCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNp
dmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0Ly5t
YWlsbWFwJyAtPiBgLi8ubWFpbG1hcCcKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2
bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvLnBy
ZS1jb21taXQtY29uZmlnLnlhbWwnIC0+IGAuLy5wcmUtY29tbWl0LWNvbmZpZy55YW1sJwpg
L2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBz
Y2hlZHVsZXItNC4wLjBhNC1jaGVja291dC8ucmVhZHRoZWRvY3MueW1sJyAtPiBgLi8ucmVh
ZHRoZWRvY3MueW1sJwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4
c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC9MSUNFTlNFLnR4dCcg
LT4gYC4vTElDRU5TRS50eHQnCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3
M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L1JFQURNRS5y
c3QnIC0+IGAuL1JFQURNRS5yc3QnCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5
NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L2RvY2tl
ci1jb21wb3NlLnltbCcgLT4gYC4vZG9ja2VyLWNvbXBvc2UueW1sJwpgL2dudS9zdG9yZS93
YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4w
LjBhNC1jaGVja291dC9weXByb2plY3QudG9tbCcgLT4gYC4vcHlwcm9qZWN0LnRvbWwnCmAv
Z251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNj
aGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3Rvb2xzL2RvY2tlcml6ZScgLT4gYC4vdG9vbHMv
ZG9ja2VyaXplJwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1
Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC90ZXN0cy9jb25mdGVzdC5w
eScgLT4gYC4vdGVzdHMvY29uZnRlc3QucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3ds
czNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0
L3Rlc3RzL3Rlc3RfZGF0YXN0b3Jlcy5weScgLT4gYC4vdGVzdHMvdGVzdF9kYXRhc3RvcmVz
LnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRo
b24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC90ZXN0cy90ZXN0X2V2ZW50YnJva2Vy
cy5weScgLT4gYC4vdGVzdHMvdGVzdF9ldmVudGJyb2tlcnMucHknCmAvZ251L3N0b3JlL3dh
ajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAu
MGE0LWNoZWNrb3V0L3Rlc3RzL3Rlc3RfZXZlbnRzLnB5JyAtPiBgLi90ZXN0cy90ZXN0X2V2
ZW50cy5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMt
cHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvdGVzdHMvdGVzdF9tYXJzaGFs
bGluZy5weScgLT4gYC4vdGVzdHMvdGVzdF9tYXJzaGFsbGluZy5weScKYC9nbnUvc3RvcmUv
d2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQu
MC4wYTQtY2hlY2tvdXQvdGVzdHMvdGVzdF9zY2hlZHVsZXJzLnB5JyAtPiBgLi90ZXN0cy90
ZXN0X3NjaGVkdWxlcnMucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3
M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3Rlc3RzL3Rl
c3Rfc2VyaWFsaXplcnMucHknIC0+IGAuL3Rlc3RzL3Rlc3Rfc2VyaWFsaXplcnMucHknCmAv
Z251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNj
aGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3Rlc3RzL3RyaWdnZXJzL3Rlc3RfY2FsZW5kYXJp
bnRlcnZhbC5weScgLT4gYC4vdGVzdHMvdHJpZ2dlcnMvdGVzdF9jYWxlbmRhcmludGVydmFs
LnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRo
b24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC90ZXN0cy90cmlnZ2Vycy90ZXN0X2Nv
bWJpbmluZy5weScgLT4gYC4vdGVzdHMvdHJpZ2dlcnMvdGVzdF9jb21iaW5pbmcucHknCmAv
Z251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNj
aGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3Rlc3RzL3RyaWdnZXJzL3Rlc3RfY3Jvbi5weScg
LT4gYC4vdGVzdHMvdHJpZ2dlcnMvdGVzdF9jcm9uLnB5JwpgL2dudS9zdG9yZS93YWo0cmtw
MjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1j
aGVja291dC90ZXN0cy90cmlnZ2Vycy90ZXN0X2RhdGUucHknIC0+IGAuL3Rlc3RzL3RyaWdn
ZXJzL3Rlc3RfZGF0ZS5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2Yncz
Zm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvdGVzdHMvdHJp
Z2dlcnMvdGVzdF9pbnRlcnZhbC5weScgLT4gYC4vdGVzdHMvdHJpZ2dlcnMvdGVzdF9pbnRl
cnZhbC5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMt
cHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVyL19f
aW5pdF9fLnB5JyAtPiBgLi9zcmMvYXBzY2hlZHVsZXIvX19pbml0X18ucHknCmAvZ251L3N0
b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxl
ci00LjAuMGE0LWNoZWNrb3V0L3NyYy9hcHNjaGVkdWxlci9fY29udGV4dC5weScgLT4gYC4v
c3JjL2Fwc2NoZWR1bGVyL19jb250ZXh0LnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3
bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291
dC9zcmMvYXBzY2hlZHVsZXIvX2NvbnZlcnRlcnMucHknIC0+IGAuL3NyYy9hcHNjaGVkdWxl
ci9fY29udmVydGVycy5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2Yncz
Zm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2No
ZWR1bGVyL19lbnVtcy5weScgLT4gYC4vc3JjL2Fwc2NoZWR1bGVyL19lbnVtcy5weScKYC9n
bnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2No
ZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVyL19ldmVudHMucHknIC0+
IGAuL3NyYy9hcHNjaGVkdWxlci9fZXZlbnRzLnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNo
emt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVj
a291dC9zcmMvYXBzY2hlZHVsZXIvX2V4Y2VwdGlvbnMucHknIC0+IGAuL3NyYy9hcHNjaGVk
dWxlci9fZXhjZXB0aW9ucy5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2
YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fw
c2NoZWR1bGVyL19tYXJzaGFsbGluZy5weScgLT4gYC4vc3JjL2Fwc2NoZWR1bGVyL19tYXJz
aGFsbGluZy5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6
NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVy
L19yZXRyeS5weScgLT4gYC4vc3JjL2Fwc2NoZWR1bGVyL19yZXRyeS5weScKYC9nbnUvc3Rv
cmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVy
LTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVyL19zdHJ1Y3R1cmVzLnB5JyAtPiBg
Li9zcmMvYXBzY2hlZHVsZXIvX3N0cnVjdHVyZXMucHknCmAvZ251L3N0b3JlL3dhajRya3Ay
M2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNo
ZWNrb3V0L3NyYy9hcHNjaGVkdWxlci9fdXRpbHMucHknIC0+IGAuL3NyYy9hcHNjaGVkdWxl
ci9fdXRpbHMucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2Ztcjhz
ejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3NyYy9hcHNjaGVkdWxl
ci9fdmFsaWRhdG9ycy5weScgLT4gYC4vc3JjL2Fwc2NoZWR1bGVyL192YWxpZGF0b3JzLnB5
JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24t
YXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC9zcmMvYXBzY2hlZHVsZXIvYWJjLnB5JyAt
PiBgLi9zcmMvYXBzY2hlZHVsZXIvYWJjLnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3
bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291
dC9zcmMvYXBzY2hlZHVsZXIvcHkudHlwZWQnIC0+IGAuL3NyYy9hcHNjaGVkdWxlci9weS50
eXBlZCcKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0
aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVyL3RyaWdn
ZXJzL19faW5pdF9fLnB5JyAtPiBgLi9zcmMvYXBzY2hlZHVsZXIvdHJpZ2dlcnMvX19pbml0
X18ucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5
dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3NyYy9hcHNjaGVkdWxlci90cmln
Z2Vycy9jYWxlbmRhcmludGVydmFsLnB5JyAtPiBgLi9zcmMvYXBzY2hlZHVsZXIvdHJpZ2dl
cnMvY2FsZW5kYXJpbnRlcnZhbC5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2
bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3Jj
L2Fwc2NoZWR1bGVyL3RyaWdnZXJzL2NvbWJpbmluZy5weScgLT4gYC4vc3JjL2Fwc2NoZWR1
bGVyL3RyaWdnZXJzL2NvbWJpbmluZy5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xz
M2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQv
c3JjL2Fwc2NoZWR1bGVyL3RyaWdnZXJzL2RhdGUucHknIC0+IGAuL3NyYy9hcHNjaGVkdWxl
ci90cmlnZ2Vycy9kYXRlLnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZi
dzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC9zcmMvYXBz
Y2hlZHVsZXIvdHJpZ2dlcnMvaW50ZXJ2YWwucHknIC0+IGAuL3NyYy9hcHNjaGVkdWxlci90
cmlnZ2Vycy9pbnRlcnZhbC5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2
YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fw
c2NoZWR1bGVyL3RyaWdnZXJzL2Nyb24vX19pbml0X18ucHknIC0+IGAuL3NyYy9hcHNjaGVk
dWxlci90cmlnZ2Vycy9jcm9uL19faW5pdF9fLnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNo
emt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVj
a291dC9zcmMvYXBzY2hlZHVsZXIvdHJpZ2dlcnMvY3Jvbi9leHByZXNzaW9ucy5weScgLT4g
YC4vc3JjL2Fwc2NoZWR1bGVyL3RyaWdnZXJzL2Nyb24vZXhwcmVzc2lvbnMucHknCmAvZ251
L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVk
dWxlci00LjAuMGE0LWNoZWNrb3V0L3NyYy9hcHNjaGVkdWxlci90cmlnZ2Vycy9jcm9uL2Zp
ZWxkcy5weScgLT4gYC4vc3JjL2Fwc2NoZWR1bGVyL3RyaWdnZXJzL2Nyb24vZmllbGRzLnB5
JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24t
YXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC9zcmMvYXBzY2hlZHVsZXIvc2VyaWFsaXpl
cnMvX19pbml0X18ucHknIC0+IGAuL3NyYy9hcHNjaGVkdWxlci9zZXJpYWxpemVycy9fX2lu
aXRfXy5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMt
cHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVyL3Nl
cmlhbGl6ZXJzL2Nib3IucHknIC0+IGAuL3NyYy9hcHNjaGVkdWxlci9zZXJpYWxpemVycy9j
Ym9yLnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1w
eXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC9zcmMvYXBzY2hlZHVsZXIvc2Vy
aWFsaXplcnMvanNvbi5weScgLT4gYC4vc3JjL2Fwc2NoZWR1bGVyL3NlcmlhbGl6ZXJzL2pz
b24ucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5
dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3NyYy9hcHNjaGVkdWxlci9zZXJp
YWxpemVycy9waWNrbGUucHknIC0+IGAuL3NyYy9hcHNjaGVkdWxlci9zZXJpYWxpemVycy9w
aWNrbGUucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVj
LXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3NyYy9hcHNjaGVkdWxlci9l
eGVjdXRvcnMvX19pbml0X18ucHknIC0+IGAuL3NyYy9hcHNjaGVkdWxlci9leGVjdXRvcnMv
X19pbml0X18ucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2Ztcjhz
ejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3NyYy9hcHNjaGVkdWxl
ci9leGVjdXRvcnMvYXN5bmNfLnB5JyAtPiBgLi9zcmMvYXBzY2hlZHVsZXIvZXhlY3V0b3Jz
L2FzeW5jXy5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6
NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVy
L2V4ZWN1dG9ycy9xdC5weScgLT4gYC4vc3JjL2Fwc2NoZWR1bGVyL2V4ZWN1dG9ycy9xdC5w
eScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9u
LWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVyL2V4ZWN1dG9y
cy9zdWJwcm9jZXNzLnB5JyAtPiBgLi9zcmMvYXBzY2hlZHVsZXIvZXhlY3V0b3JzL3N1YnBy
b2Nlc3MucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVj
LXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3NyYy9hcHNjaGVkdWxlci9l
eGVjdXRvcnMvdGhyZWFkLnB5JyAtPiBgLi9zcmMvYXBzY2hlZHVsZXIvZXhlY3V0b3JzL3Ro
cmVhZC5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMt
cHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVyL2V2
ZW50YnJva2Vycy9fX2luaXRfXy5weScgLT4gYC4vc3JjL2Fwc2NoZWR1bGVyL2V2ZW50YnJv
a2Vycy9fX2luaXRfXy5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2Yncz
Zm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2No
ZWR1bGVyL2V2ZW50YnJva2Vycy9hc3luY3BnLnB5JyAtPiBgLi9zcmMvYXBzY2hlZHVsZXIv
ZXZlbnRicm9rZXJzL2FzeW5jcGcucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNp
dmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3Ny
Yy9hcHNjaGVkdWxlci9ldmVudGJyb2tlcnMvYmFzZS5weScgLT4gYC4vc3JjL2Fwc2NoZWR1
bGVyL2V2ZW50YnJva2Vycy9iYXNlLnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMz
aXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC9z
cmMvYXBzY2hlZHVsZXIvZXZlbnRicm9rZXJzL2xvY2FsLnB5JyAtPiBgLi9zcmMvYXBzY2hl
ZHVsZXIvZXZlbnRicm9rZXJzL2xvY2FsLnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3
bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291
dC9zcmMvYXBzY2hlZHVsZXIvZXZlbnRicm9rZXJzL21xdHQucHknIC0+IGAuL3NyYy9hcHNj
aGVkdWxlci9ldmVudGJyb2tlcnMvbXF0dC5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHpr
d2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tv
dXQvc3JjL2Fwc2NoZWR1bGVyL2V2ZW50YnJva2Vycy9yZWRpcy5weScgLT4gYC4vc3JjL2Fw
c2NoZWR1bGVyL2V2ZW50YnJva2Vycy9yZWRpcy5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIz
aHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hl
Y2tvdXQvc3JjL2Fwc2NoZWR1bGVyL2RhdGFzdG9yZXMvX19pbml0X18ucHknIC0+IGAuL3Ny
Yy9hcHNjaGVkdWxlci9kYXRhc3RvcmVzL19faW5pdF9fLnB5JwpgL2dudS9zdG9yZS93YWo0
cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBh
NC1jaGVja291dC9zcmMvYXBzY2hlZHVsZXIvZGF0YXN0b3Jlcy9iYXNlLnB5JyAtPiBgLi9z
cmMvYXBzY2hlZHVsZXIvZGF0YXN0b3Jlcy9iYXNlLnB5JwpgL2dudS9zdG9yZS93YWo0cmtw
MjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1j
aGVja291dC9zcmMvYXBzY2hlZHVsZXIvZGF0YXN0b3Jlcy9tZW1vcnkucHknIC0+IGAuL3Ny
Yy9hcHNjaGVkdWxlci9kYXRhc3RvcmVzL21lbW9yeS5weScKYC9nbnUvc3RvcmUvd2FqNHJr
cDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQt
Y2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVyL2RhdGFzdG9yZXMvbW9uZ29kYi5weScgLT4gYC4v
c3JjL2Fwc2NoZWR1bGVyL2RhdGFzdG9yZXMvbW9uZ29kYi5weScKYC9nbnUvc3RvcmUvd2Fq
NHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4w
YTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVyL2RhdGFzdG9yZXMvc3FsYWxjaGVteS5weScg
LT4gYC4vc3JjL2Fwc2NoZWR1bGVyL2RhdGFzdG9yZXMvc3FsYWxjaGVteS5weScKYC9nbnUv
c3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1
bGVyLTQuMC4wYTQtY2hlY2tvdXQvc3JjL2Fwc2NoZWR1bGVyL19zY2hlZHVsZXJzL19faW5p
dF9fLnB5JyAtPiBgLi9zcmMvYXBzY2hlZHVsZXIvX3NjaGVkdWxlcnMvX19pbml0X18ucHkn
CmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1h
cHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3NyYy9hcHNjaGVkdWxlci9fc2NoZWR1bGVy
cy9hc3luY18ucHknIC0+IGAuL3NyYy9hcHNjaGVkdWxlci9fc2NoZWR1bGVycy9hc3luY18u
cHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhv
bi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L3NyYy9hcHNjaGVkdWxlci9fc2NoZWR1
bGVycy9zeW5jLnB5JyAtPiBgLi9zcmMvYXBzY2hlZHVsZXIvX3NjaGVkdWxlcnMvc3luYy5w
eScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9u
LWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZXhhbXBsZXMvUkVBRE1FLnJzdCcgLT4g
YC4vZXhhbXBsZXMvUkVBRE1FLnJzdCcKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2
bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZXhh
bXBsZXMvd2ViL2FzZ2lfZmFzdGFwaS5weScgLT4gYC4vZXhhbXBsZXMvd2ViL2FzZ2lfZmFz
dGFwaS5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMt
cHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZXhhbXBsZXMvd2ViL2FzZ2lf
bm9mcmFtZXdvcmsucHknIC0+IGAuL2V4YW1wbGVzL3dlYi9hc2dpX25vZnJhbWV3b3JrLnB5
JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24t
YXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC9leGFtcGxlcy93ZWIvYXNnaV9zdGFybGV0
dGUucHknIC0+IGAuL2V4YW1wbGVzL3dlYi9hc2dpX3N0YXJsZXR0ZS5weScKYC9nbnUvc3Rv
cmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVy
LTQuMC4wYTQtY2hlY2tvdXQvZXhhbXBsZXMvd2ViL3dzZ2lfZmxhc2sucHknIC0+IGAuL2V4
YW1wbGVzL3dlYi93c2dpX2ZsYXNrLnB5JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMz
aXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC9l
eGFtcGxlcy93ZWIvd3NnaV9ub2ZyYW1ld29yay5weScgLT4gYC4vZXhhbXBsZXMvd2ViL3dz
Z2lfbm9mcmFtZXdvcmsucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3
M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L2V4YW1wbGVz
L3N0YW5kYWxvbmUvYXN5bmNfbWVtb3J5LnB5JyAtPiBgLi9leGFtcGxlcy9zdGFuZGFsb25l
L2FzeW5jX21lbW9yeS5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2Yncz
Zm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZXhhbXBsZXMv
c3RhbmRhbG9uZS9hc3luY19teXNxbC5weScgLT4gYC4vZXhhbXBsZXMvc3RhbmRhbG9uZS9h
c3luY19teXNxbC5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1y
OHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZXhhbXBsZXMvc3Rh
bmRhbG9uZS9hc3luY19wb3N0Z3Jlcy5weScgLT4gYC4vZXhhbXBsZXMvc3RhbmRhbG9uZS9h
c3luY19wb3N0Z3Jlcy5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2Yncz
Zm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZXhhbXBsZXMv
c3RhbmRhbG9uZS9zeW5jX21lbW9yeS5weScgLT4gYC4vZXhhbXBsZXMvc3RhbmRhbG9uZS9z
eW5jX21lbW9yeS5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1y
OHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZXhhbXBsZXMvc2Vw
YXJhdGVfd29ya2VyL2FzeW5jX3NjaGVkdWxlci5weScgLT4gYC4vZXhhbXBsZXMvc2VwYXJh
dGVfd29ya2VyL2FzeW5jX3NjaGVkdWxlci5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHpr
d2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tv
dXQvZXhhbXBsZXMvc2VwYXJhdGVfd29ya2VyL2FzeW5jX3dvcmtlci5weScgLT4gYC4vZXhh
bXBsZXMvc2VwYXJhdGVfd29ya2VyL2FzeW5jX3dvcmtlci5weScKYC9nbnUvc3RvcmUvd2Fq
NHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4w
YTQtY2hlY2tvdXQvZXhhbXBsZXMvc2VwYXJhdGVfd29ya2VyL2V4YW1wbGVfdGFza3MucHkn
IC0+IGAuL2V4YW1wbGVzL3NlcGFyYXRlX3dvcmtlci9leGFtcGxlX3Rhc2tzLnB5JwpgL2du
dS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hl
ZHVsZXItNC4wLjBhNC1jaGVja291dC9leGFtcGxlcy9zZXBhcmF0ZV93b3JrZXIvc3luY19z
Y2hlZHVsZXIucHknIC0+IGAuL2V4YW1wbGVzL3NlcGFyYXRlX3dvcmtlci9zeW5jX3NjaGVk
dWxlci5weScKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMt
cHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZXhhbXBsZXMvc2VwYXJhdGVf
d29ya2VyL3N5bmNfd29ya2VyLnB5JyAtPiBgLi9leGFtcGxlcy9zZXBhcmF0ZV93b3JrZXIv
c3luY193b3JrZXIucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2Zt
cjhzejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L2V4YW1wbGVzL2d1
aS9xdF9leGVjdXRvci5weScgLT4gYC4vZXhhbXBsZXMvZ3VpL3F0X2V4ZWN1dG9yLnB5Jwpg
L2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBz
Y2hlZHVsZXItNC4wLjBhNC1jaGVja291dC9kb2NzL2FwaS5yc3QnIC0+IGAuL2RvY3MvYXBp
LnJzdCcKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0
aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZG9jcy9jb25mLnB5JyAtPiBgLi9k
b2NzL2NvbmYucHknCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2Ztcjhz
ejVjLXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L2RvY3MvY29udHJpYnV0
aW5nLnJzdCcgLT4gYC4vZG9jcy9jb250cmlidXRpbmcucnN0JwpgL2dudS9zdG9yZS93YWo0
cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBh
NC1jaGVja291dC9kb2NzL2V4dGVuZGluZy5yc3QnIC0+IGAuL2RvY3MvZXh0ZW5kaW5nLnJz
dCcKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9u
LWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZG9jcy9mYXEucnN0JyAtPiBgLi9kb2Nz
L2ZhcS5yc3QnCmAvZ251L3N0b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVj
LXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LWNoZWNrb3V0L2RvY3MvaW5kZXgucnN0JyAt
PiBgLi9kb2NzL2luZGV4LnJzdCcKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xzM2l2bHk2
YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQvZG9jcy9p
bnRlZ3JhdGlvbnMucnN0JyAtPiBgLi9kb2NzL2ludGVncmF0aW9ucy5yc3QnCmAvZ251L3N0
b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxl
ci00LjAuMGE0LWNoZWNrb3V0L2RvY3MvbWlncmF0aW9uLnJzdCcgLT4gYC4vZG9jcy9taWdy
YXRpb24ucnN0JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1
Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC9kb2NzL3VzZXJndWlkZS5y
c3QnIC0+IGAuL2RvY3MvdXNlcmd1aWRlLnJzdCcKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHpr
d2xzM2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tv
dXQvZG9jcy92ZXJzaW9uaGlzdG9yeS5yc3QnIC0+IGAuL2RvY3MvdmVyc2lvbmhpc3Rvcnku
cnN0JwpgL2dudS9zdG9yZS93YWo0cmtwMjNoemt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRo
b24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVja291dC8uZ2l0aHViL3dvcmtmbG93cy9wdWJs
aXNoLnltbCcgLT4gYC4vLmdpdGh1Yi93b3JrZmxvd3MvcHVibGlzaC55bWwnCmAvZ251L3N0
b3JlL3dhajRya3AyM2h6a3dsczNpdmx5NmJ3M2ZtcjhzejVjLXB5dGhvbi1hcHNjaGVkdWxl
ci00LjAuMGE0LWNoZWNrb3V0Ly5naXRodWIvd29ya2Zsb3dzL3Rlc3QueW1sJyAtPiBgLi8u
Z2l0aHViL3dvcmtmbG93cy90ZXN0LnltbCcKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xz
M2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQv
LmdpdGh1Yi9JU1NVRV9URU1QTEFURS9idWdfcmVwb3J0LnlhbWwnIC0+IGAuLy5naXRodWIv
SVNTVUVfVEVNUExBVEUvYnVnX3JlcG9ydC55YW1sJwpgL2dudS9zdG9yZS93YWo0cmtwMjNo
emt3bHMzaXZseTZidzNmbXI4c3o1Yy1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC1jaGVj
a291dC8uZ2l0aHViL0lTU1VFX1RFTVBMQVRFL2NvbmZpZy55bWwnIC0+IGAuLy5naXRodWIv
SVNTVUVfVEVNUExBVEUvY29uZmlnLnltbCcKYC9nbnUvc3RvcmUvd2FqNHJrcDIzaHprd2xz
M2l2bHk2YnczZm1yOHN6NWMtcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQtY2hlY2tvdXQv
LmdpdGh1Yi9JU1NVRV9URU1QTEFURS9mZWF0dXJlc19yZXF1ZXN0LnlhbWwnIC0+IGAuLy5n
aXRodWIvSVNTVUVfVEVNUExBVEUvZmVhdHVyZXNfcmVxdWVzdC55YW1sJwpwaGFzZSBgdW5w
YWNrJyBzdWNjZWVkZWQgYWZ0ZXIgMC4wIHNlY29uZHMKc3RhcnRpbmcgcGhhc2UgYGVuc3Vy
ZS1uby1tdGltZXMtcHJlLTE5ODAnCnBoYXNlIGBlbnN1cmUtbm8tbXRpbWVzLXByZS0xOTgw
JyBzdWNjZWVkZWQgYWZ0ZXIgMC4wIHNlY29uZHMKc3RhcnRpbmcgcGhhc2UgYGVuYWJsZS1i
eXRlY29kZS1kZXRlcm1pbmlzbScKcGhhc2UgYGVuYWJsZS1ieXRlY29kZS1kZXRlcm1pbmlz
bScgc3VjY2VlZGVkIGFmdGVyIDAuMCBzZWNvbmRzCnN0YXJ0aW5nIHBoYXNlIGBlbnN1cmUt
bm8tY3l0aG9uaXplZC1maWxlcycKcGhhc2UgYGVuc3VyZS1uby1jeXRob25pemVkLWZpbGVz
JyBzdWNjZWVkZWQgYWZ0ZXIgMC4wIHNlY29uZHMKc3RhcnRpbmcgcGhhc2UgYHBhdGNoLXVz
ci1iaW4tZmlsZScKcGhhc2UgYHBhdGNoLXVzci1iaW4tZmlsZScgc3VjY2VlZGVkIGFmdGVy
IDAuMCBzZWNvbmRzCnN0YXJ0aW5nIHBoYXNlIGBwYXRjaC1zb3VyY2Utc2hlYmFuZ3MnCnBo
YXNlIGBwYXRjaC1zb3VyY2Utc2hlYmFuZ3MnIHN1Y2NlZWRlZCBhZnRlciAwLjAgc2Vjb25k
cwpzdGFydGluZyBwaGFzZSBgcGF0Y2gtZ2VuZXJhdGVkLWZpbGUtc2hlYmFuZ3MnCnBoYXNl
IGBwYXRjaC1nZW5lcmF0ZWQtZmlsZS1zaGViYW5ncycgc3VjY2VlZGVkIGFmdGVyIDAuMCBz
ZWNvbmRzCnN0YXJ0aW5nIHBoYXNlIGBidWlsZCcKVXNpbmcgJ3NldHVwdG9vbHMuYnVpbGRf
bWV0YScgdG8gYnVpbGQgd2hlZWxzLCBhdXRvLWRldGVjdGVkICdzZXR1cHRvb2xzLmJ1aWxk
X21ldGEnLCBvdmVycmlkZSAnI2YnLgpUcmFjZWJhY2sgKG1vc3QgcmVjZW50IGNhbGwgbGFz
dCk6CiAgRmlsZSAiPHN0cmluZz4iLCBsaW5lIDQsIGluIDxtb2R1bGU+CiAgRmlsZSAiL2du
dS9zdG9yZS84YjV2cWJiMTE2eXkzcWpkYzlzZnZkMXliNmtsY2xnai1weXRob24tc2V0dXB0
b29scy02Ny42LjEvbGliL3B5dGhvbjMuMTAvc2l0ZS1wYWNrYWdlcy9zZXR1cHRvb2xzL2J1
aWxkX21ldGEucHkiLCBsaW5lIDQxMywgaW4gYnVpbGRfd2hlZWwKICAgIHJldHVybiBzZWxm
Ll9idWlsZF93aXRoX3RlbXBfZGlyKFsnYmRpc3Rfd2hlZWwnXSwgJy53aGwnLAogIEZpbGUg
Ii9nbnUvc3RvcmUvOGI1dnFiYjExNnl5M3FqZGM5c2Z2ZDF5YjZrbGNsZ2otcHl0aG9uLXNl
dHVwdG9vbHMtNjcuNi4xL2xpYi9weXRob24zLjEwL3NpdGUtcGFja2FnZXMvc2V0dXB0b29s
cy9idWlsZF9tZXRhLnB5IiwgbGluZSAzOTgsIGluIF9idWlsZF93aXRoX3RlbXBfZGlyCiAg
ICBzZWxmLnJ1bl9zZXR1cCgpCiAgRmlsZSAiL2dudS9zdG9yZS84YjV2cWJiMTE2eXkzcWpk
YzlzZnZkMXliNmtsY2xnai1weXRob24tc2V0dXB0b29scy02Ny42LjEvbGliL3B5dGhvbjMu
MTAvc2l0ZS1wYWNrYWdlcy9zZXR1cHRvb2xzL2J1aWxkX21ldGEucHkiLCBsaW5lIDMzNSwg
aW4gcnVuX3NldHVwCiAgICBleGVjKGNvZGUsIGxvY2FscygpKQogIEZpbGUgIjxzdHJpbmc+
IiwgbGluZSAxLCBpbiA8bW9kdWxlPgogIEZpbGUgIi9nbnUvc3RvcmUvOGI1dnFiYjExNnl5
M3FqZGM5c2Z2ZDF5YjZrbGNsZ2otcHl0aG9uLXNldHVwdG9vbHMtNjcuNi4xL2xpYi9weXRo
b24zLjEwL3NpdGUtcGFja2FnZXMvc2V0dXB0b29scy9fX2luaXRfXy5weSIsIGxpbmUgMTA4
LCBpbiBzZXR1cAogICAgcmV0dXJuIGRpc3R1dGlscy5jb3JlLnNldHVwKCoqYXR0cnMpCiAg
RmlsZSAiL2dudS9zdG9yZS84YjV2cWJiMTE2eXkzcWpkYzlzZnZkMXliNmtsY2xnai1weXRo
b24tc2V0dXB0b29scy02Ny42LjEvbGliL3B5dGhvbjMuMTAvc2l0ZS1wYWNrYWdlcy9zZXR1
cHRvb2xzL19kaXN0dXRpbHMvY29yZS5weSIsIGxpbmUgMTQ3LCBpbiBzZXR1cAogICAgX3Nl
dHVwX2Rpc3RyaWJ1dGlvbiA9IGRpc3QgPSBrbGFzcyhhdHRycykKICBGaWxlICIvZ251L3N0
b3JlLzhiNXZxYmIxMTZ5eTNxamRjOXNmdmQxeWI2a2xjbGdqLXB5dGhvbi1zZXR1cHRvb2xz
LTY3LjYuMS9saWIvcHl0aG9uMy4xMC9zaXRlLXBhY2thZ2VzL3NldHVwdG9vbHMvZGlzdC5w
eSIsIGxpbmUgNDg4LCBpbiBfX2luaXRfXwogICAgX0Rpc3RyaWJ1dGlvbi5fX2luaXRfXygK
ICBGaWxlICIvZ251L3N0b3JlLzhiNXZxYmIxMTZ5eTNxamRjOXNmdmQxeWI2a2xjbGdqLXB5
dGhvbi1zZXR1cHRvb2xzLTY3LjYuMS9saWIvcHl0aG9uMy4xMC9zaXRlLXBhY2thZ2VzL3Nl
dHVwdG9vbHMvX2Rpc3R1dGlscy9kaXN0LnB5IiwgbGluZSAyODMsIGluIF9faW5pdF9fCiAg
ICBzZWxmLmZpbmFsaXplX29wdGlvbnMoKQogIEZpbGUgIi9nbnUvc3RvcmUvOGI1dnFiYjEx
Nnl5M3FqZGM5c2Z2ZDF5YjZrbGNsZ2otcHl0aG9uLXNldHVwdG9vbHMtNjcuNi4xL2xpYi9w
eXRob24zLjEwL3NpdGUtcGFja2FnZXMvc2V0dXB0b29scy9kaXN0LnB5IiwgbGluZSA5MTIs
IGluIGZpbmFsaXplX29wdGlvbnMKICAgIGVwKHNlbGYpCiAgRmlsZSAiL2dudS9zdG9yZS9o
Z2NybThzMnBrc3ZzMHJhZGRuMjYzcHNkcTF6ODJjYi1weXRob24tc2V0dXB0b29scy1zY20t
Ny4xLjAvbGliL3B5dGhvbjMuMTAvc2l0ZS1wYWNrYWdlcy9zZXR1cHRvb2xzX3NjbS9pbnRl
Z3JhdGlvbi5weSIsIGxpbmUgMTI3LCBpbiBpbmZlcl92ZXJzaW9uCiAgICBfYXNzaWduX3Zl
cnNpb24oZGlzdCwgY29uZmlnKQogIEZpbGUgIi9nbnUvc3RvcmUvaGdjcm04czJwa3N2czBy
YWRkbjI2M3BzZHExejgyY2ItcHl0aG9uLXNldHVwdG9vbHMtc2NtLTcuMS4wL2xpYi9weXRo
b24zLjEwL3NpdGUtcGFja2FnZXMvc2V0dXB0b29sc19zY20vaW50ZWdyYXRpb24ucHkiLCBs
aW5lIDYzLCBpbiBfYXNzaWduX3ZlcnNpb24KICAgIF92ZXJzaW9uX21pc3NpbmcoY29uZmln
KQogIEZpbGUgIi9nbnUvc3RvcmUvaGdjcm04czJwa3N2czByYWRkbjI2M3BzZHExejgyY2It
cHl0aG9uLXNldHVwdG9vbHMtc2NtLTcuMS4wL2xpYi9weXRob24zLjEwL3NpdGUtcGFja2Fn
ZXMvc2V0dXB0b29sc19zY20vX19pbml0X18ucHkiLCBsaW5lIDEwOCwgaW4gX3ZlcnNpb25f
bWlzc2luZwogICAgcmFpc2UgTG9va3VwRXJyb3IoCkxvb2t1cEVycm9yOiBzZXR1cHRvb2xz
LXNjbSB3YXMgdW5hYmxlIHRvIGRldGVjdCB2ZXJzaW9uIGZvciAvdG1wL2d1aXgtYnVpbGQt
cHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQuZHJ2LTAvc291cmNlLgoKTWFrZSBzdXJlIHlv
dSdyZSBlaXRoZXIgYnVpbGRpbmcgZnJvbSBhIGZ1bGx5IGludGFjdCBnaXQgcmVwb3NpdG9y
eSBvciBQeVBJIHRhcmJhbGxzLiBNb3N0IG90aGVyIHNvdXJjZXMgKHN1Y2ggYXMgR2l0SHVi
J3MgdGFyYmFsbHMsIGEgZ2l0IGNoZWNrb3V0IHdpdGhvdXQgdGhlIC5naXQgZm9sZGVyKSBk
b24ndCBjb250YWluIHRoZSBuZWNlc3NhcnkgbWV0YWRhdGEgYW5kIHdpbGwgbm90IHdvcmsu
CgpGb3IgZXhhbXBsZSwgaWYgeW91J3JlIHVzaW5nIHBpcCwgaW5zdGVhZCBvZiBodHRwczov
L2dpdGh1Yi5jb20vdXNlci9wcm9qL2FyY2hpdmUvbWFzdGVyLnppcCB1c2UgZ2l0K2h0dHBz
Oi8vZ2l0aHViLmNvbS91c2VyL3Byb2ouZ2l0I2VnZz1wcm9qCmVycm9yOiBpbiBwaGFzZSAn
YnVpbGQnOiB1bmNhdWdodCBleGNlcHRpb246CiVleGNlcHRpb24gIzwmaW52b2tlLWVycm9y
IHByb2dyYW06ICJweXRob24iIGFyZ3VtZW50czogKCItYyIgImltcG9ydCBzeXMsIGltcG9y
dGxpYiwganNvblxuY29uZmlnX3NldHRpbmdzID0ganNvbi5sb2FkcyAoc3lzLmFyZ3ZbM10p
XG5idWlsZGVyID0gaW1wb3J0bGliLmltcG9ydF9tb2R1bGUoc3lzLmFyZ3ZbMV0pXG5idWls
ZGVyLmJ1aWxkX3doZWVsKHN5cy5hcmd2WzJdLCBjb25maWdfc2V0dGluZ3M9Y29uZmlnX3Nl
dHRpbmdzKSIgInNldHVwdG9vbHMuYnVpbGRfbWV0YSIgImRpc3QiICJbXSIpIGV4aXQtc3Rh
dHVzOiAxIHRlcm0tc2lnbmFsOiAjZiBzdG9wLXNpZ25hbDogI2Y+IApwaGFzZSBgYnVpbGQn
IGZhaWxlZCBhZnRlciAxLjQgc2Vjb25kcwpjb21tYW5kICJweXRob24iICItYyIgImltcG9y
dCBzeXMsIGltcG9ydGxpYiwganNvblxuY29uZmlnX3NldHRpbmdzID0ganNvbi5sb2FkcyAo
c3lzLmFyZ3ZbM10pXG5idWlsZGVyID0gaW1wb3J0bGliLmltcG9ydF9tb2R1bGUoc3lzLmFy
Z3ZbMV0pXG5idWlsZGVyLmJ1aWxkX3doZWVsKHN5cy5hcmd2WzJdLCBjb25maWdfc2V0dGlu
Z3M9Y29uZmlnX3NldHRpbmdzKSIgInNldHVwdG9vbHMuYnVpbGRfbWV0YSIgImRpc3QiICJb
XSIgZmFpbGVkIHdpdGggc3RhdHVzIDEKbm90ZToga2VlcGluZyBidWlsZCBkaXJlY3Rvcnkg
YC90bXAvZ3VpeC1idWlsZC1weXRob24tYXBzY2hlZHVsZXItNC4wLjBhNC5kcnYtMCcKYnVp
bGRlciBmb3IgYC9nbnUvc3RvcmUvdmpsMTExZjA4cGN5N3F4YmIyemtrNmxkYjljNmxtZjkt
cHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQuZHJ2JyBmYWlsZWQgd2l0aCBleGl0IGNvZGUg
MQpidWlsZCBvZiAvZ251L3N0b3JlL3ZqbDExMWYwOHBjeTdxeGJiMnprazZsZGI5YzZsbWY5
LXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LmRydiBmYWlsZWQKVmlldyBidWlsZCBsb2cg
YXQgJy92YXIvbG9nL2d1aXgvZHJ2cy92ai9sMTExZjA4cGN5N3F4YmIyemtrNmxkYjljNmxt
ZjktcHl0aG9uLWFwc2NoZWR1bGVyLTQuMC4wYTQuZHJ2Lmd6Jy4KZ3VpeCBidWlsZDogZXJy
b3I6IGJ1aWxkIG9mIGAvZ251L3N0b3JlL3ZqbDExMWYwOHBjeTdxeGJiMnprazZsZGI5YzZs
bWY5LXB5dGhvbi1hcHNjaGVkdWxlci00LjAuMGE0LmRydicgZmFpbGVkCg==

--------------eC0MiuKM84zv0yd9NGXZOrOv--




Information forwarded to guix-patches@HIDDEN:
bug#68491; Package guix-patches. Full text available.

Message received at 68491 <at> debbugs.gnu.org:


Received: (at 68491) by debbugs.gnu.org; 10 Feb 2024 09:50:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 10 04:50:45 2024
Received: from localhost ([127.0.0.1]:56796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rYk0T-0001nJ-6S
	for submit <at> debbugs.gnu.org; Sat, 10 Feb 2024 04:50:45 -0500
Received: from mail-wm1-x334.google.com ([2a00:1450:4864:20::334]:54635)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sharlatanus@HIDDEN>) id 1rYk0Q-0001mw-JF
 for 68491 <at> debbugs.gnu.org; Sat, 10 Feb 2024 04:50:43 -0500
Received: by mail-wm1-x334.google.com with SMTP id
 5b1f17b1804b1-40fd72f7125so14460025e9.1
 for <68491 <at> debbugs.gnu.org>; Sat, 10 Feb 2024 01:50:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1707558620; x=1708163420; darn=debbugs.gnu.org;
 h=mime-version:message-id:date:subject:cc:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=+eWQXRnL2K6mv+lyFtq2Vm6XdRHoWZvU+It1bDBBNrU=;
 b=gCelIVaruUPTbHRy5GLXNuJxxsDt7YkP71e9dC6E3R6cPwCZxXdhgagO+5ZDickG/1
 hd9OOmmQIZCSs0R6XM6o3X3JpqWZzu5n5jc/nOikXHJyv9CcqLxbRUz85j7VM2ytQDeY
 6n9hxlT326hOfhzWfDpGBU2px+AFjHUUnrIJj1p8Tyc2qdcpZfeVflWXmmV4pCjkqPtw
 t6MZkfWlKSWYlSSO+kncTl7pqLpj1UdgvMmHvgxy/TaRbl38EYs9IVkmcAdj0IkoxVGY
 0HuW82Ov8yxJBmvgQQ8V5JWI1bg1fixN48iZKbtslK9KNteHgsDbpECKHtKCJ7dnvwJW
 8TjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1707558620; x=1708163420;
 h=mime-version:message-id:date:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=+eWQXRnL2K6mv+lyFtq2Vm6XdRHoWZvU+It1bDBBNrU=;
 b=XG4h0OomxF0pwusELOA0pnZ5UsJdaTJYbUavCs4I8iZmsNaq1Vgqwsx6FLZOmb4dE4
 R/nhEyPxGppyPdYarCjYoinHYIWeN/IktLp7k3a0hF3Y7O+onaCCnZb3hnay9ympIRVQ
 0iOfBo+WYI3qWY+OA2OB7W3txS11U2Xg/suALyE3MtHfyU5/0yqARIwwReR6x7bC2IeP
 FkQsnLptsjPJpPEneHyvl7f1z5WqtVeL+KqxKSQOMBVlAujftyHcvjPavEdOk+XXnBlq
 Ifozqvlm1XU+JvAAbyhp5SqvcVD/rfOmP6KafQZEKqXCcMT4PVjvNTSfr4wyc5pi224b
 Yw0g==
X-Gm-Message-State: AOJu0YwQfX6evUjkul3d5HPlWQhXGJ28AmHy1NSjmzG0nWkockIQ0oid
 nlWd3W8V/BYU74SKewBYTbiL0c/o6BrIYFY3zNaKiw2hx5kdun6n
X-Google-Smtp-Source: AGHT+IHbG8l33PG1F3XnvxbFI55ZzZd/UyMOCkBBKoApAbDfLnAY2SV7gDUM+mx3rbBmGQMJBx7jzw==
X-Received: by 2002:a05:600c:4f91:b0:410:2662:387c with SMTP id
 n17-20020a05600c4f9100b004102662387cmr1380275wmq.20.1707558619404; 
 Sat, 10 Feb 2024 01:50:19 -0800 (PST)
Received: from guxtil (cpc100856-bagu15-2-0-cust368.1-3.cable.virginm.net.
 [82.25.93.113]) by smtp.gmail.com with ESMTPSA id
 a13-20020a5d4d4d000000b0033b13922263sm1423642wru.60.2024.02.10.01.50.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 10 Feb 2024 01:50:18 -0800 (PST)
From: Sharlatan Hellseher <sharlatanus@HIDDEN>
To: 68491 <at> debbugs.gnu.org
Subject: Add python-apscheduler
Date: Sat, 10 Feb 2024 09:50:16 +0000
Message-ID: <87wmrcr6lj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 68491
Cc: paul <goodoldpaul@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Hi,

There is v4.0.0a4 in GitHub which was released <Nov 13, 2023> but not
available in PyPI. That version has las dated dependencies
(pytest-tornado is not maintained and abandoned).

List of dependencies based on [0]:

- install-require [/][%]
  - [ ] python-anyio
  - [ ] python-asyncpg
  - [ ] python-attrs
  - [ ] python-cbor2
  - [ ] python-paho-mqtt
  - [ ] python-pymongo
  - [ ] python-redis
  - [ ] python-sqlalchemy
  - [ ] python-tenacity
  - [ ] python-typing-extensions
  - [ ] python-tzlocal
- test [/][%]
  - [ ] python-aiosqlite
  - [ ] python-anyio
  - [ ] python-apscheduler
  - [ ] python-asyncmy
  - [ ] python-asyncpg
  - [ ] python-coverage
  - [ ] python-freezegun
  - [ ] python-paho-mqtt
  - [ ] python-psycopg
  - [ ] python-pymongo
  - [ ] python-pymysq
  - [ ] python-pyside6
  - [ ] python-pytest
  - [ ] python-pytest-freezer
  - [ ] python-pytest-lazy-fixture
  - [ ] python-pytest-mock
  - [ ] python-uwsgi

- [0] https://github.com/agronholm/apscheduler/blob/4.0.0a4/pyproject.toml


May you check if your patch would be easy to migrate to the new version please?


Thanks,
Oleg

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEmEeB3micIcJkGAhndtcnv/Ys0rUFAmXHRtgACgkQdtcnv/Ys
0rX6Pg/+OiFIi8MQy9AUlkZs3yUmlnS4Xwn2dNLDJ5Dpzscrhr/kENrNSv5zPeSq
ox6P7jFUUcqsENlZTwsTiEiX5EgMjHl4acFwFyjrNuEsIEdoQWsh85pWwokaaZtU
Xt9c7FdL5EUA7NUQyCGm9AotbLiX0lZRUh/3qYXdbdXaZIi5rhD+ARXPo7GMzWlv
WZqSIHlH8otlEsQN31MXQf2SRht/QzwLhTMF33onK8BmvMzrPymI6h7HDj/8ZYjp
f8k/bUIWi5WJZMghUr11HvO6+EA9zS6S1EpM8Bx+0RSfWwN4B8Z8hvm5kvA/T21g
KTfSu9Ff3ll9QN+PIH5Z4cgRMzT4vs0FAGg///rD0jboPJK0e4KG4P4ZEZbbsr/Y
+RVJOJZEXanrp2jwEI+Z1dRctvy5YPmRifZ8MQ9eU+ydnMMmm3kKXnYSbTqOtq4l
BO1WW+27Cgx69fNnDAfv4hPpjm2Twscp8lFOkScc3XVOc65oyg0D8Wkr1OteVZ4+
1clyxTNeaZCQAM5unqcJH5Oj5GwXwZ06c/JWOmq7A0XHWxB/0m6+/u0ndxabdXbA
yQ9Y4nzQIznIomK5D8UqnEr3/61k0M3j8/bzzVrTg/EfNPRyW1JleEP+iST6Jo5q
/MnHPiGehBADrcmtcBQYNoVgJWju4Du3ccco3BfkX4JkftFG4/Q=
=mjY6
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#68491; Package guix-patches. Full text available.

Message received at 68491 <at> debbugs.gnu.org:


Received: (at 68491) by debbugs.gnu.org; 15 Jan 2024 22:49:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 15 17:49:54 2024
Received: from localhost ([127.0.0.1]:47232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rPVmE-0007Un-Eb
	for submit <at> debbugs.gnu.org; Mon, 15 Jan 2024 17:49:54 -0500
Received: from confino.investici.org ([2a11:7980:1::2:0]:40757)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <goodoldpaul@HIDDEN>) id 1rPVmA-0007UR-SP
 for 68491 <at> debbugs.gnu.org; Mon, 15 Jan 2024 17:49:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=autistici.org;
 s=stigmate; t=1705358990;
 bh=38cSCbXIEGZV3YZ+lv4mo7e+TRKkdLoCx1p0vUKrbJg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=MuG14TmK9QboSRz8NZiFDBd/Gw9wjMvr8qEwH9FJUmnoGX2DbBIWwv2asNHURwfEo
 vTFYvYjnsExDHNA8NYWQBYoBIu3cJ8WA9j1ZLXwXSiCU5ZZR28JXDO3gs6O1WOoORd
 gXRdxncB9hXGnTFnqXIU7D4GT2COZeyveOZwVazc=
Received: from mx1.investici.org (unknown [127.0.0.1])
 by confino.investici.org (Postfix) with ESMTP id 4TDS5B1Bd2z114C;
 Mon, 15 Jan 2024 22:49:50 +0000 (UTC)
Received: from [93.190.126.19] (mx1.investici.org [93.190.126.19])
 (Authenticated sender: goodoldpaul@HIDDEN) by localhost (Postfix) with
 ESMTPSA id 4TDS5B0Nswz10v2; Mon, 15 Jan 2024 22:49:50 +0000 (UTC)
From: Giacomo Leidi <goodoldpaul@HIDDEN>
To: 68491 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: Add python-apscheduler.
Date: Mon, 15 Jan 2024 23:49:35 +0100
Message-ID: <20240115224938.29916-2-goodoldpaul@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <20240115224938.29916-1-goodoldpaul@HIDDEN>
References: <20240115224938.29916-1-goodoldpaul@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 68491
Cc: Giacomo Leidi <goodoldpaul@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-apscheduler): New variable.

Change-Id: Ib5964520a8d3c9c4711ba2ee4c5812241dc93423
---
 gnu/packages/python-xyz.scm | 39 ++++++++++++++++++++++++++++++++++++-
 1 file changed, 38 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 1ca5d7f8fd..33be56ddb2 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -63,7 +63,7 @@
 ;;; Copyright © 2019, 2020 Alex Griffin <a@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021, 2022, 2023 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2019 Jacob MacDonald <jaccarmac@HIDDEN>
-;;; Copyright © 2019-2021, 2023 Giacomo Leidi <goodoldpaul@HIDDEN>
+;;; Copyright © 2019-2021, 2023, 2024 Giacomo Leidi <goodoldpaul@HIDDEN>
 ;;; Copyright © 2019 Wiktor Żelazny <wzelazny@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021, 2022 Tanguy Le Carrour <tanguy@HIDDEN>
 ;;; Copyright © 2019, 2021-2023 Mădălin Ionel Patrașcu <madalinionel.patrascu@HIDDEN>
@@ -27217,6 +27217,43 @@ (define-public python-crontab
 access the system cron automatically and simply using a direct API.")
     (license license:lgpl3+)))
 
+(define-public python-apscheduler
+  (package
+    (name "python-apscheduler")
+    (version "3.10.4")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "APScheduler" version))
+              (sha256
+               (base32
+                "0jpg9jyx95jafkq0hz6sx7r4l2z5gc599ivb9278kgnr4wdhgpz6"))))
+    (build-system pyproject-build-system)
+    (propagated-inputs (list python-pytz
+                             python-six
+                             python-tzlocal))
+    (native-inputs (list python-mock
+                         python-twisted
+                         python-gevent
+                         python-setuptools-scm
+                         python-sqlalchemy
+                         python-setuptools
+                         python-pyside-6
+                         python-pytest
+                         python-pytest-asyncio
+                         python-pytest-cov
+                         python-pytest-tornado5))
+    (home-page "https://github.com/agronholm/apscheduler")
+    (synopsis "Task scheduling library for Python")
+    (description "Advanced Python Scheduler (APScheduler) is a Python library
+that lets you schedule your Python code to be executed later, either just once
+or periodically.
+
+You can add new jobs or remove old ones on the fly as you please.  If you store
+your jobs in a database, they will also survive scheduler restarts and maintain
+their state.  When the scheduler is restarted, it will then run all the jobs it
+should have run while it was offline.")
+    (license license:expat)))
+
 (define-public python-pylzma
   (package
     (name "python-pylzma")
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68491; Package guix-patches. Full text available.

Message received at 68491 <at> debbugs.gnu.org:


Received: (at 68491) by debbugs.gnu.org; 15 Jan 2024 22:49:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 15 17:49:52 2024
Received: from localhost ([127.0.0.1]:47230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rPVmC-0007Ud-0p
	for submit <at> debbugs.gnu.org; Mon, 15 Jan 2024 17:49:52 -0500
Received: from confino.investici.org ([2a11:7980:1::2:0]:50173)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <goodoldpaul@HIDDEN>) id 1rPVmA-0007UQ-KW
 for 68491 <at> debbugs.gnu.org; Mon, 15 Jan 2024 17:49:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=autistici.org;
 s=stigmate; t=1705358990;
 bh=fOoJSRRVh6ZrAr7GputDd8uSY2i4yr/RtaXQ4FZYLVU=;
 h=From:To:Cc:Subject:Date:From;
 b=C65E0xEzRBS0xHqn3xtl2MsanDc60feLdCEBu9dDQ8zK6hS5kDCOTOzbMbOakVrB1
 4TtNhbxg6nbH29/pKDP9X2ePeIfii7E3Ua+ykY0XfgmHBqjhTBrajtcbjmORxU1lsP
 KFoi6inU0NSkcGBBw8PUunj+yTR/tZiiVcA1sapE=
Received: from mx1.investici.org (unknown [127.0.0.1])
 by confino.investici.org (Postfix) with ESMTP id 4TDS5B01dmz114B;
 Mon, 15 Jan 2024 22:49:50 +0000 (UTC)
Received: from [93.190.126.19] (mx1.investici.org [93.190.126.19])
 (Authenticated sender: goodoldpaul@HIDDEN) by localhost (Postfix) with
 ESMTPSA id 4TDS595zFCz10v2; Mon, 15 Jan 2024 22:49:49 +0000 (UTC)
From: Giacomo Leidi <goodoldpaul@HIDDEN>
To: 68491 <at> debbugs.gnu.org
Subject: [PATCH 1/2] gnu: Add python-pytest-tornado5.
Date: Mon, 15 Jan 2024 23:49:34 +0100
Message-ID: <20240115224938.29916-1-goodoldpaul@HIDDEN>
X-Mailer: git-send-email 2.41.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 68491
Cc: Giacomo Leidi <goodoldpaul@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-tornado5): New variable.

Change-Id: I9843e91d750bf17128eb6f566b8dbb5cbc0d8278
---
 gnu/packages/check.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index b475aea8ae..49a5f42ca8 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -48,6 +48,7 @@
 ;;; Copyright © 2023 Reza Housseini <reza@HIDDEN>
 ;;; Copyright © 2023 Hilton Chain <hako@HIDDEN>
 ;;; Copyright © 2023 Troy Figiel <troy@HIDDEN>
+;;; Copyright © 2024 Giacomo Leidi <goodoldpaul@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -3573,6 +3574,29 @@ (define-public python-pytest-regressions
 that can be used to verify that future runs produce the same data.")
     (license license:expat)))
 
+(define-public python-pytest-tornado5
+  (package
+    (name "python-pytest-tornado5")
+    (version "2.0.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "pytest-tornado5" version))
+              (sha256
+               (base32
+                "0qb62jw2w0xr6y942yp0qxiy755bismjfpnxaxjjm05gy2pymr8d"))))
+    (build-system pyproject-build-system)
+    (arguments
+     ;; Tests require pytest < 6
+     (list #:tests? #f))
+    (propagated-inputs (list python-pytest python-tornado))
+    (home-page "https://github.com/vidartf/pytest-tornado")
+    (synopsis
+     "Fixtures and markers to simplify testing of Tornado applications")
+    (description
+     "This package provides a @code{py.test} plugin providing fixtures and markers to
+simplify testing of asynchronous tornado applications.")
+    (license license:asl2.0)))
+
 (define-public guile-proba
   (package
     (name "guile-proba")

base-commit: 19db1551dc6f6180d2cda9084c2dec37bf4923c9
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68491; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jan 2024 22:48:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 15 17:48:48 2024
Received: from localhost ([127.0.0.1]:47224 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rPVlA-0007ST-JU
	for submit <at> debbugs.gnu.org; Mon, 15 Jan 2024 17:48:48 -0500
Received: from lists.gnu.org ([2001:470:142::17]:43284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <goodoldpaul@HIDDEN>) id 1rPVl9-0007S9-4F
 for submit <at> debbugs.gnu.org; Mon, 15 Jan 2024 17:48:47 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <goodoldpaul@HIDDEN>)
 id 1rPVl3-0000Bz-Jm
 for guix-patches@HIDDEN; Mon, 15 Jan 2024 17:48:41 -0500
Received: from confino.investici.org ([2a11:7980:1::2:0])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <goodoldpaul@HIDDEN>)
 id 1rPVl2-0002Pj-61
 for guix-patches@HIDDEN; Mon, 15 Jan 2024 17:48:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=autistici.org;
 s=stigmate; t=1705358919;
 bh=S/0VfYj2RnVpqPK2KUA+/+i3X4r2TeiCx6ThgOlUHXQ=;
 h=Date:To:From:Subject:From;
 b=WCfBU8S/YB4606hGfswl7WDSIoa/c9H4NG3nAnQA1Aq4pH1idiJ2laa+ac/pBMRmN
 mBIn8RG5a7qYbudEIoyZ7t6Odk4sY069uH9YRGBEg6Yq9KV01ioIPyr4eznBBFnbf/
 WZe7ThVdw484M43az3SqF4qCYNxnLKflD5vKibgE=
Received: from mx1.investici.org (unknown [127.0.0.1])
 by confino.investici.org (Postfix) with ESMTP id 4TDS3q07Crz114B
 for <guix-patches@HIDDEN>; Mon, 15 Jan 2024 22:48:39 +0000 (UTC)
Received: from [93.190.126.19] (mx1.investici.org [93.190.126.19])
 (Authenticated sender: goodoldpaul@HIDDEN) by localhost (Postfix) with
 ESMTPSA id 4TDS3p6sklz10v2
 for <guix-patches@HIDDEN>; Mon, 15 Jan 2024 22:48:38 +0000 (UTC)
Message-ID: <38ceaa64-b7d4-257e-d207-d9d3be9ae107@HIDDEN>
Date: Mon, 15 Jan 2024 23:48:38 +0100
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.15.0
To: guix-patches@HIDDEN
Content-Language: en-US
From: paul <goodoldpaul@HIDDEN>
Subject: Add python-apscheduler
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=2a11:7980:1::2:0;
 envelope-from=goodoldpaul@HIDDEN; helo=confino.investici.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

Hello,


I'm sending a couple of patches adding python-apscheduler.


Thank you for you time and efforts,


giacomo





Acknowledgement sent to paul <goodoldpaul@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#68491; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Feb 2024 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.